# fix build (debuginfo package is empty...):
# (we don't build anything we package directly, but we're arched b/c we include
#  binaries from the system and from our sources into an image)
%define debug_package %{nil}

# whether stage2 image should contains usefull tools for debugging:
%define debug 0

Summary: DrakX installer stage2 image
Name: drakx-installer-stage2
Version: 17.88
Release: %mkrel 5
Source0: %{name}-%{version}.tar.xz
# NO PATCH ALLOWED
License: GPLv2+
Group: Development/Other
Url: https://wiki.mageia.org/en/Drakx-installer_tips_and_tricks
ExclusiveArch:  %{ix86} x86_64

# for building the stage2 image:
BuildRequires: squashfs-tools >= 4.3
# for compiling the c module:
BuildRequires: perl-devel
BuildRequires: libldetect-devel >= 0.1.348
BuildRequires: pkgconfig(libparted)
# for pcmcia-probe.o:
BuildRequires: drakx-installer-binaries >= 2.24-2
# graphical stack:
BuildRequires: task-x11
BuildRequires: x11-server-xorg >= 1.18.4-1
BuildRequires: x11-data-xkbdata >= 1.8-2
BuildRequires: xmodmap
BuildRequires: xset
BuildRequires: monitor-edid
BuildRequires: spice-vdagent
BuildRequires: libinput-tools
# toolkit:
BuildRequires: libgdk_pixbuf2.0
BuildRequires: librsvg2
BuildRequires: perl-Gtk3 >= 0.14.0-8
BuildRequires: perl-Gtk3-WebKit2
BuildRequires: adwaita-icon-theme
# for introspection:
BuildRequires: %{_lib}atk-gir1.0
BuildRequires: %{_lib}cairo-gir1.0
BuildRequires: %{_lib}gdk_pixbuf-gir2.0
BuildRequires: %{_lib}glib-gir2.0
BuildRequires: %{_lib}gtk-gir3.0 >= 3.14.8-3
BuildRequires: %{_lib}pango-gir1.0
BuildRequires: %{_lib}xlib-gir2.0
# wm:
BuildRequires: mutter
# drivers:
BuildRequires: x11-driver-input-libinput
%ifarch %ix86 x86_64
BuildRequires: x11-driver-video-vesa
%endif
BuildRequires: x11-driver-input-wacom
BuildRequires: libwacom
BuildRequires: x11-driver-video-fbdev >= 0.4.4-11
# theme:
BuildRequires: gnome-themes-standard
# Text mode:
BuildRequires: perl-Curses
BuildRequires: perl-Curses-UI
BuildRequires: perl-Term-ReadKey
# Misc perl modules:
BuildRequires: drakx-kbd-mouse-x11 >= 1.18
BuildRequires: drakx-net >= 2.0
BuildRequires: perl-Clone
BuildRequires: perl-MDK-Common >= 1.2.28
BuildRequires: perl-Net-Ping
BuildRequires: perl-XML-Parser
BuildRequires: perl-XML-SAX-Base
BuildRequires: perl-XML-LibXML
# for macro files:
BuildRequires: rpm-mageia-setup >= 1.48
BuildRequires: rpm >= 4.13.0-0.rc1.19
# urpmi:
BuildRequires: aria2 >= 1.18.1-2
BuildRequires: perl-URPM >= 5.05
BuildRequires: urpmi >= 8.106-2
BuildRequires: curl
# for compssUsers.pl:
BuildRequires: meta-task >= 3-36
# HW enumeration:
BuildRequires: ldetect-lst >= 0.3.3-1
BuildRequires: pciutils
# progs
BuildRequires: setserial
BuildRequires: mt-st
BuildRequires: pcmcia-cs
BuildRequires: ash
# Fonts:
BuildRequires: fonts-ttf-bengali
BuildRequires: fonts-ttf-bitstream-vera
BuildRequires: fonts-ttf-lohit
BuildRequires: fonts-ttf-thai
BuildRequires: fonts-ttf-devanagari
BuildRequires: fonts-ttf-wqy-microhei
BuildRequires: fonts-ttf-dejavu
# RAID/LVM:
BuildRequires: cryptsetup
BuildRequires: dmraid
BuildRequires: mdadm
BuildRequires: quota
BuildRequires: lvm2
BuildRequires: kpartx
# locales:
BuildRequires: gettext
BuildRequires: glibc-i18ndata
BuildRequires: locales
BuildRequires: perl_checker
BuildRequires: perl-Locale-gettext
# for mime.cache:
BuildRequires: shared-mime-info
# braille display for blind people:
BuildRequires: brltty
# for screenshots:
BuildRequires: scrot
# misc:
BuildRequires: draksnapshot
# help:
BuildRequires: drakx-installer-help >= 6.3-1
# grub:
BuildRequires: grub2-common
# FS:
BuildRequires: btrfs-progs
BuildRequires: dosfstools
BuildRequires: e2fsprogs >= 1.42.12
BuildRequires: jfsutils
BuildRequires: mtools
BuildRequires: nfs-utils
BuildRequires: nilfs-utils
BuildRequires: ntfs-3g
BuildRequires: reiserfsprogs
BuildRequires: xfsprogs
# For /usr move at build time:
BuildRequires: dracut
#debug:
%if %debug
BuildRequires: busybox
BuildRequires: gdb
BuildRequires: perl-Term-ReadLine-Gnu
BuildRequires: strace
BuildRequires: python-gobject
%endif

%description
This is the stage2 image for %_vendor DrakX installer.

It can be rebuilt with debug.

%prep
%setup -q
%autopatch -p1

%build
make -C tools
make -C perl-install/install
rpm -qa | sort > build-rpms.lst

%install
%if %debug
export DEBUG_INSTALL=1
# example: how to preset keyboard to eg "fr" in debug mode:
#export DEBUG_INSTALL_LANG=fr
%endif
dest=$RPM_BUILD_ROOT%{_libdir}/%name
mkdir -p $dest
make -C perl-install/install install ROOTDEST=$dest
make -C tools install ROOTDEST=$dest
# FIXME: nuke unwanted file
rm -rf $dest/install/stage2/usr

%check
cd perl-install
%make_build check_perl_checker

%files
%doc build-rpms.lst
%{_libdir}/%name


%changelog
* Mon Jul 10 2017 akien <akien> 17.88-5.mga6
+ Revision: 1109655
- Rebuild for new rpm and new mageia-release

* Mon Jul 10 2017 schedbot <schedbot> 17.88-4.mga6
+ Revision: 1109621
- Rebuild for new rpm

* Fri Jul 07 2017 akien <akien> 17.88-3.mga6
+ Revision: 1109543
- Rebuild for mageia-release-6-3.mga6

* Fri Jul 07 2017 schedbot <schedbot> 17.88-2.mga6
+ Revision: 1109491
- Rebuild for new meta-task

* Fri Jul 07 2017 tmb <tmb> 17.88-1.mga6
+ Revision: 1109175
- translation updates
- rebuild for release

  + schedbot <schedbot>
    - Rebuild for new urpmi

* Fri Jun 30 2017 tmb <tmb> 17.87-2.mga6
+ Revision: 1108742
- rebuild for new d-i-help

* Sun Jun 25 2017 ennael <ennael> 17.87-1.mga6
+ Revision: 1108481
- Left background for final Mageia 6

* Fri Jun 23 2017 martinw <martinw> 17.86-1.mga6
+ Revision: 1108219
- increase the default window size of the installer to 1024x768 (mga#20624)

* Thu Jun 22 2017 tv <tv> 17.85-1.mga6
+ Revision: 1108170
- don't overwrite custom grub2 settings when upgrading (mga#20596)
- recognize 8812au (mga#21043)

* Wed Jun 07 2017 tmb <tmb> 17.84-3.mga6
+ Revision: 1107160
- rebuild for new drakx-installer-help

  + schedbot <schedbot>
    - Rebuild for new perl

* Mon Jun 05 2017 akien <akien> 17.84-1.mga6
+ Revision: 1106994
- Version 17.84, translation updates

* Mon Jun 05 2017 schedbot <schedbot> 17.83-5.mga6
+ Revision: 1106962
- Rebuild for new urpmi
- Rebuild for new drakx-kbd-mouse-x11
- Rebuild for new drakx-net
- Rebuild for new ldetect-lst

* Sun Jun 04 2017 tv <tv> 17.83-1.mga6
+ Revision: 1106426
- log output of libinput-list-devices in report.bug (mga#20327)
- translation updates

  + schedbot <schedbot>
    - Rebuild for new meta-task

* Sun May 21 2017 tv <tv> 17.82-7.mga6
+ Revision: 1103894
- rebuild for new glib2.0

  + schedbot <schedbot>
    - Rebuild for new meta-task

* Fri May 12 2017 tv <tv> 17.82-5.mga6
+ Revision: 1100532
- rebuild for new gtk+3.0

* Thu May 11 2017 tv <tv> 17.82-4.mga6
+ Revision: 1100208
- rebuild for new libinput + x11 driver + gtk+3.0

* Tue May 09 2017 schedbot <schedbot> 17.82-3.mga6
+ Revision: 1099892
- Rebuild for new urpmi + gtk+3.0

* Sat May 06 2017 schedbot <schedbot> 17.82-2.mga6
+ Revision: 1099301
- Rebuild for new drakx-kbd-mouse-x11

* Sat May 06 2017 akien <akien> 17.82-1.mga6
+ Revision: 1099292
- 17.82: add 'please wait' message when running update-grub2

* Fri May 05 2017 akien <akien> 17.81-1.mga6
+ Revision: 1099217
- 17.81: Make sure 'supplmedia' is defined before using it (mga#20484)

* Fri May 05 2017 schedbot <schedbot> 17.80-2.mga6
+ Revision: 1099160
- Rebuild for new ldetect-lst

* Wed May 03 2017 akien <akien> 17.80-1.mga6
+ Revision: 1098949
- Version 17.80, adds Mageia 6 advertising and DE artwork (mga#20647)

  + schedbot <schedbot>
    - Rebuild for new urpmi

* Wed Apr 26 2017 tmb <tmb> 17.79-1.mga6
+ Revision: 1097673
- update translations

  + schedbot <schedbot>
    - Rebuild for new perl

* Tue Apr 04 2017 ennael <ennael> 17.78-1.mga6
+ Revision: 1095922
- New left background for Mageia 6 rc

* Tue Apr 04 2017 akien <akien> 17.77-1.mga6
+ Revision: 1095907
- partitioning:
  o don't require a BIOS boot partition when performing an upgrade (mga#20338)
  o make partitioning more robust with "Use entire disk" option (mga#20619):
    * add safety net for informing the kernel after writing a DOS partition
      table.
    * speed up proc_partitions::compare() and avoid unwanted udev events.
  o force reinitialisation of partition suggestions after wiping disk
    (mga#20621)
- various fixes to do_pkgs during Live installs (mga#20620):
  o fix do_pkgs_standalone::are_installed() for Live install
  o fix do_pkgs_standalone::remove() for Live install
  o fix fast path for do_pkgs::ensure_is_installed()

* Thu Mar 30 2017 tmb <tmb> 17.76-3.mga6
+ Revision: 1095338
- rebuild for latest urpmi

  + schedbot <schedbot>
    - Rebuild for new drakx-kbd-mouse-x11

* Fri Mar 24 2017 tv <tv> 17.76-1.mga6
+ Revision: 1094679
- installer options handling:
  o ignore case for options line in previous releases
  o fix default value for 'compssListLevel' (mga#20551)
    (both being post mga5 regression)

* Tue Mar 21 2017 schedbot <schedbot> 17.75-3.mga6
+ Revision: 1093900
- Rebuild for new drakx-net

* Sun Mar 19 2017 schedbot <schedbot> 17.75-2.mga6
+ Revision: 1093612
- Rebuild for new meta-task

* Fri Mar 17 2017 tv <tv> 17.75-1.mga6
+ Revision: 1093271
- partitioning:
  o fix too big window due to too big translations (mga#20360)
  o allow a BIOS boot partition to be located on any disk (mga#20161)
  o ensure kernel is informed when a MBR partition table is cleared
  o clearing GPT partitions:
    * delay thus fix clearing GPT partitions (mga#20264)
      ("failed to del partition #1 on /dev/...")
    * don't send separate events to the kernel about removing/adding GPT partitions,
      just tell it to reread the whole newly cleared & allocated partition table
  o tell the kernel all actions at once on GPT partitions instead of telling it
    separatly about removing partitions A, B & C, then adding partition E, F &G

  + schedbot <schedbot>
    - Rebuild for new meta-task
    - Rebuild for new drakx-net
    - Rebuild for new drakx-net
    - Rebuild for new meta-task

* Thu Mar 09 2017 wally <wally> 17.74-2.mga6
+ Revision: 1091002
- rebuild with drakxtools 17.74

* Thu Mar 09 2017 wally <wally> 17.74-1.mga6
+ Revision: 1090991
- update translations (e17 -> e21)

  + schedbot <schedbot>
    - Rebuild for new meta-task
    - Rebuild for new drakx-kbd-mouse-x11
    - Rebuild for new meta-task

* Wed Mar 08 2017 tv <tv> 17.73-3.mga6
+ Revision: 1089906
- BR libinput-tools
- debug mode:
  o add example how to include debuginfo
  o make it work with gdb-7.12
  o preset keyboard if DEBUG_INSTALL_LANG is set during build
- list input & HID devices in report.bug (mga#20327)
- recognize new kernel-4.8 drivers
- show how to preset keyboard to eg "fr" in debug mode

  + schedbot <schedbot>
    - Rebuild for new drakx-kbd-mouse-x11

* Sun Mar 05 2017 tmb <tmb> 17.72-7.mga6
+ Revision: 1088853
- rebuild for new ldetect-lst

  + schedbot <schedbot>
    - Rebuild for new ldetect-lst
    - Rebuild for new drakx-net
    - Rebuild for new drakx-net
    - Rebuild for new drakx-net
    - Rebuild for new rpm

* Sat Feb 25 2017 tv <tv> 17.72-1.mga6
+ Revision: 1087859
- partitioning:
  o allow a BIOS boot partition to be located on any disk (mga#20161)
  o fix auto-allocation of BIOS boot partitions (mga#20161, mga#19888)
  o don't suggest mountpoint for ESP when doing a legacy boot install (mga#20164)
  o fix bugs in sync'ing the kernel's partition table cache (mga#20074)
  o detect and handle DOS "Empty" partition types (mga#20074)
- sync nonfree firmware list with kernel-4.9
- use SHA-512 instead of blowfish as the default password encryption (mga#20342)

  + schedbot <schedbot>
    - Rebuild for new meta-task
    - Rebuild for new urpmi
    - Rebuild for new urpmi
    - Rebuild for new meta-task

* Sun Feb 19 2017 tmb <tmb> 17.71-12.mga6
+ Revision: 1086841
- rebuild for ldetect-lst, meta-task, rpm

  + schedbot <schedbot>
    - Rebuild for new ldetect-lst
    - Rebuild for new meta-task
    - Rebuild for new meta-task
    - Rebuild for new rpm
    - Rebuild for new meta-task

* Thu Feb 02 2017 tmb <tmb> 17.71-6.mga6
+ Revision: 1084582
- rebuild for new e2fsprogs

  + schedbot <schedbot>
    - Rebuild for new perl
    - Rebuild for new meta-task
    - Rebuild for new rpm

* Sat Jan 21 2017 tv <tv> 17.71-2.mga6
+ Revision: 1082709
- rebuild with new libinput+libwacom

* Wed Jan 18 2017 pterjan <pterjan> 17.71-1.mga6
+ Revision: 1082244
- Version 17.71 - 18 January 2017
- partitioning_wizard:
  o fix bug in detecting whether a BIOS boot partition is required (mga#19935)
- fix inserting extended partition in the middle

* Tue Jan 17 2017 ennael <ennael> 17.70-1.mga6
+ Revision: 1082196
- Mageia 6 design for left background

* Thu Jan 12 2017 tv <tv> 17.69-1.mga6
+ Revision: 1081172
- bootloader:
  o disable audit logging as it floods the logs
- partitioning:
  o fix exception when clearing all partitions on !UEFI (mga#20083)
- recognize new kernel-4.9 drivers

* Wed Jan 11 2017 tmb <tmb> 17.68-9.mga6
+ Revision: 1081038
- rebuild for updated packages

  + schedbot <schedbot>
    - Rebuild for new meta-task
    - Rebuild for new rpm-mageia-setup
    - Rebuild for new rpm-mageia-setup
    - Rebuild for new rpm-mageia-setup
    - Rebuild for new rpm

* Wed Dec 14 2016 tmb <tmb> 17.68-2.mga6
+ Revision: 1075185
- rebuild for updated ldetect-lst

  + schedbot <schedbot>
    - Rebuild for new ldetect-lst

* Wed Dec 14 2016 tv <tv> 17.68-1.mga6
+ Revision: 1075081
- fix progress bar on i586 (mga#19930)

* Wed Dec 14 2016 pterjan <pterjan> 17.67-1.mga6
+ Revision: 1074835
- Fix a crash introduced in 17.66

* Wed Dec 14 2016 pterjan <pterjan> 17.66-1.mga6
+ Revision: 1074825
- 17.66 (should fix mga#19933 and mga#19930)

* Mon Dec 12 2016 tv <tv> 17.65-1.mga6
+ Revision: 1074334
- bootloader configuration:
  o describe what skipping os-prober does (mga#18538)
  o show generic help too when using grub2
- fix i586 installation broken by int64 (mga#19895)

* Sun Dec 11 2016 ennael <ennael> 17.64-1.mga6
+ Revision: 1074244
- more int64 init (mga#19895)

* Fri Dec 09 2016 ennael <ennael> 17.63-1.mga6
+ Revision: 1073691
- force use of int64 for installed package size on i586 (mga#19895)

  + schedbot <schedbot>
    - Rebuild for new urpmi

* Thu Dec 01 2016 ennael <ennael> 17.62-1.mga6
+ Revision: 1071408
- add BuildRequires on grub2-common
- add grub2-editenv in list.xml
- Mageia 6 sta2 left background

* Sun Nov 27 2016 schedbot <schedbot> 17.61-2.mga6
+ Revision: 1070399
- Rebuild for new ldetect-lst

* Sat Nov 26 2016 tv <tv> 17.61-1.mga6
+ Revision: 1070247
- BR scrot instead of fb2png
- screenshots:
  o use scrot instead of fb2png as the later doesn't work with vesa (mga#19810)

* Thu Nov 24 2016 schedbot <schedbot> 17.60-4.mga6
+ Revision: 1069695
- Rebuild for new ldetect-lst
- Rebuild for new ldetect-lst

* Tue Nov 15 2016 tv <tv> 17.60-2.mga6
+ Revision: 1067233
- partitioning:
  o fix being unable to format a newly part (mga#19172)
  o offer to format unmounted parts that have a defined mount point

  + schedbot <schedbot>
    - Rebuild for new rpm
    - Rebuild for new drakx-kbd-mouse-x11

* Sat Nov 12 2016 tv <tv> 17.58-9.mga6
+ Revision: 1066869
- rebuild for fixed drakx-kbd-mouse-x11 (mga#19761)

  + schedbot <schedbot>
    - Rebuild for new rpm
    - Rebuild for new rpm

* Thu Nov 10 2016 schedbot <schedbot> 17.58-7.mga6
+ Revision: 1066255
- Rebuild for new perl-URPM
- Rebuild for new drakx-kbd-mouse-x11
- Rebuild for new rpm

* Thu Nov 03 2016 schedbot <schedbot> 17.58-4.mga6
+ Revision: 1065001
- Rebuild for new rpm
- Rebuild for new rpm

* Mon Oct 24 2016 tv <tv> 17.58-2.mga6
+ Revision: 1063399
- revert ARM patch that breaks x86_64
- bootloader configuration:
  o make kernel server default if installed
    (we were only checking for long dead flavors such as enterprise, ...)
- fix build with latest URPM aka include perl-Math-Int64 (mga#19640)
- disable ARM for now

  + schedbot <schedbot>
    - Rebuild for new rpm

* Thu Oct 20 2016 schedbot <schedbot> 17.57-18.mga6
+ Revision: 1062804
- Rebuild for new urpmi
- Rebuild for new rpm
- Rebuild for new perl-URPM
- Rebuild for new rpm
- Rebuild for new perl-URPM

* Sun Oct 16 2016 schedbot <schedbot> 17.57-13.mga6
+ Revision: 1061082
- Rebuild for new perl-URPM
- Rebuild for new rpm
- Rebuild for new urpmi
- Rebuild for new perl-URPM
- Rebuild for new meta-task
- Rebuild for new rpm
- Rebuild for new meta-task
- Rebuild for new perl

* Sun Oct 02 2016 schedbot <schedbot> 17.57-5.mga6
+ Revision: 1058146
- Rebuild for new ldetect-lst
- Rebuild for new meta-task
- Rebuild for new meta-task

* Mon Sep 26 2016 schedbot <schedbot> 17.57-2.mga6
+ Revision: 1056764
- Rebuild for new rpm-mageia-setup

* Wed Sep 21 2016 tv <tv> 17.57-1.mga6
+ Revision: 1054966
- new release

  + schedbot <schedbot>
    - Rebuild for new drakx-kbd-mouse-x11
    - Rebuild for new rpm-mageia-setup

* Mon Sep 19 2016 tv <tv> 17.56-1.mga6
+ Revision: 1054133
- detect ovirt too (mga#19308)
- fix gtk+3.22 regression (mga#19406)
- sync nonfree firmware list with kernel-4.7

  + schedbot <schedbot>
    - Rebuild for new rpm-mageia-setup

* Sun Sep 18 2016 akien <akien> 17.55-6.mga6
+ Revision: 1053597
- Rebuild for new drakx-kbd-mouse-x11

  + schedbot <schedbot>
    - Rebuild for new drakx-kbd-mouse-x11
    - Rebuild for new meta-task
    - Rebuild for new meta-task
    - Rebuild for new meta-task

* Sat Aug 13 2016 ennael <ennael> 17.55-1.mga6
+ Revision: 1046361
- New left background - Mageia 6 RC

* Sat Aug 13 2016 tv <tv> 17.54-1.mga6
+ Revision: 1046156
- autologin/desktop configuration (shared code):
  o add support for LXDM (mga#17616)
  o add support for SDDM (mga#17913)

* Sat Aug 06 2016 tmb <tmb> 17.53-2.mga6
+ Revision: 1044764
- rebuild for new gtk+3.0

  + tv <tv>
    - switch to %%make_build

* Sun Jul 31 2016 tv <tv> 17.53-1.mga6
+ Revision: 1044139
- bootloader configuration:
  o fix .old backup for grub2's grub.cfg
- partionning:
  o first usable sector is LBA34 for GPT
  o respect used scheme when clearing a disk
    (ie do not switch from gpt to dos scheme on small disk)

* Tue Jul 19 2016 tmb <tmb> 17.52-2.mga6
+ Revision: 1042627
- rebuild with new x11-server

* Sun Jul 17 2016 tv <tv> 17.52-1.mga6
+ Revision: 1042394
- do not preinstall mageia-gfxboot-theme
- bootloader configuration:
  o fix not being able to edit default grub2 cmdline (mga#18952)

* Thu Jul 14 2016 tv <tv> 17.51-3.mga6
+ Revision: 1042051
- really rebuild with new xfdrake

  + schedbot <schedbot>
    - Rebuild for new drakx-kbd-mouse-x11

* Tue Jul 12 2016 tv <tv> 17.51-1.mga6
+ Revision: 1041240
- fix starting spice-vdagentd
- partionning:
  o auto_inst: fix clearing an already filled GPT disk
  o don't offer to format RAID or BIOS boot partition
  o make clear a BIOS boot partition cannot have a mount point
  o make error about BIOS boot partition more explicit about
    its purpose and that it must be created (mga#18923)

* Mon Jul 11 2016 tmb <tmb> 17.50-4.mga6
+ Revision: 1041154
- rebuild for new urpmi

  + schedbot <schedbot>
    - Rebuild for new urpmi

* Mon Jul 11 2016 schedbot <schedbot> 17.50-2.mga6
+ Revision: 1041076
- Rebuild for new drakx-kbd-mouse-x11

* Fri Jul 08 2016 tv <tv> 17.50-1.mga6
+ Revision: 1039687
- BR spice-vdagent
- include pvs/vgs/lvs symlinks
- partionning:
  o display a wait message when adding a PV to VG
- libvirt integration:
  o start spice-vdagent{d,} (Qemu guest agent)

* Thu Jul 07 2016 tmb <tmb> 17.49-3.mga6
+ Revision: 1039459
- rebuild for new x11-server

  + schedbot <schedbot>
    - Rebuild for new perl

* Wed Jul 06 2016 tv <tv> 17.49-1.mga6
+ Revision: 1039051
- autoinst:
  e enable to set several swap partitions (mga#9874)
  o enable to select media (mga#12299)
- partionning:
  o GPT: prevent geometry issue on last partition (mga#18666, mga#17796)
  o restrict fdisk -l output to usefull disks
- recognize new kernel-4.7 drivers
- try to get patch from ext[2-4] removable media instead of just ext2

* Tue Jul 05 2016 tmb <tmb> 17.48-3.mga6
+ Revision: 1038974
- rebuild for new ldetect-lst

  + schedbot <schedbot>
    - Rebuild for new ldetect-lst

* Mon Jul 04 2016 tv <tv> 17.48-1.mga6
+ Revision: 1038602
- bootloader configuration:
  o allow installing grub2 on XFS /
  o make clear grub2 is installed on ESP under UEFI
  o make sure we only offer lilo/grub choice on upgrades only
- partionning:
  o do not offer to check for bad blocks on btrfs (mga#12393)
  o do not warn about no bootloader can boot LVM as grub2 can (mga#9426)
  o do not warn about no bootloader can boot RAID[^1] as grub2 can (mga#11324)
  o enable bad blocks checking on JFS
- summary:
  o add help link for sound (mga#11824)

* Thu Jun 30 2016 tv <tv> 17.47-1.mga6
+ Revision: 1038222
- partionning:
  o fix being able to create vfat on UEFI (mga#15698)
- recognize some missing wireless drivers (mga#16768)
- users:
  o offer again to add user to admin group (mga#17720)

  + schedbot <schedbot>
    - Rebuild for new meta-task
    - Rebuild for new drakx-net
    - Rebuild for new drakx-net
    - Rebuild for new meta-task

* Fri Jun 24 2016 tv <tv> 17.46-1.mga6
+ Revision: 1037421
- library:
  o enable compssUsers.pl to pick the right lsb-core-lib(64) flavor

* Fri Jun 24 2016 tv <tv> 17.45-1.mga6
+ Revision: 1037407
- partionning:
  o keep UUID when formating btrfs (mga#18673)

* Fri Jun 24 2016 tv <tv> 17.44-1.mga6
+ Revision: 1037379
- bootloader configuration:
  o add a "Do not touch ESP or MBR" option (mga#18770)
  o do not offer to pick the disk where to install grub2 on UEFI
  o filter GPT disks w/o a BIOS boot part (mga#18770)
  o warn if grub2 is not installed on MBR/ESP
- logs:
  o fix found kernel names
  o log if were running under UEFI
- partionning:
  o fix preserving UUID when formating jfs/nilfs/xfs
- package selection:
  o display a wait dialog when choosing custom choice (mga#11041)
- summary:
  o sort service categories, putting "Other" at end (mga#6286)

  + schedbot <schedbot>
    - Rebuild for new meta-task

* Wed Jun 22 2016 tv <tv> 17.43-1.mga6
+ Revision: 1037181
- summary:
  o fix not listing some services (mga#17288)
  o fix updating firewall status after configuration (mga#17288)

* Wed Jun 22 2016 tv <tv> 17.42-1.mga6
+ Revision: 1037160
- bootloader configuration:
  o add support for crypted grub2 passwords (mga#15930)
  o grub2: do not overwite ESP if not installing on it (mga#15583)
  o grub2: fix setting default entry when in a submenu (mga#18560)

  + schedbot <schedbot>
    - Rebuild for new drakx-kbd-mouse-x11
    - Rebuild for new meta-task

* Mon Jun 20 2016 tv <tv> 17.41-1.mga6
+ Revision: 1037004
- bootloader:
  o fix the grub2 post-install check (mga#18739)

* Mon Jun 20 2016 tv <tv> 17.40-1.mga6
+ Revision: 1036987
- bootloader:
  o ensure we've the right grub2 flavor (mga#18739)
- no more include vmmouse driver
- drop BR on x11-driver-input-vmmouse

  + schedbot <schedbot>
    - Rebuild for new meta-task
    - Rebuild for new meta-task
    - Rebuild for new meta-task
    - Rebuild for new drakx-kbd-mouse-x11
    - Rebuild for new ldetect-lst
    - Rebuild for new urpmi

* Sat Jun 18 2016 tv <tv> 17.39-1.mga6
+ Revision: 1022084
- partionning:
  o fix ESP tagging in some cases
- services:
  o update service category lists

  + schedbot <schedbot>
    - Rebuild for new ldetect-lst

* Thu Jun 16 2016 tv <tv> 17.38-1.mga6
+ Revision: 1021774
- partionning:
  o fix offering to create a GRUB_BIOS partition in custom mode (mga#18656)
  o fix inverted test when checking need for a GRUB_BIOS partition (mga#18704)

  + schedbot <schedbot>
    - Rebuild for new meta-task
    - Rebuild for new drakx-kbd-mouse-x11
    - Rebuild for new ldetect-lst

* Tue Jun 14 2016 marja <marja> 17.37-2.mga6
+ Revision: 1021478
- rebuild for new drakx-installer-help

* Sun Jun 12 2016 tv <tv> 17.37-1.mga6
+ Revision: 1021213
- partionning:
  o try harder to guess if we need a GRUB_BIOS partition (mga#18656)
- rename desktop image KDE -> Plasma (mga#18687)

* Sat Jun 11 2016 tv <tv> 17.36.1-1.mga6
+ Revision: 1021185
- fix selecting Plasma (mga#18687)

* Sat Jun 11 2016 tv <tv> 17.36-1.mga6
+ Revision: 1021142
- do not override bootloader on upgrade (mga#18638)
- fix running with nss 3.24
- debug build:
  o gdb needs python3 instead of python2 (and guile as well)
  o fix loadkeys in debug mode on tty1
  o include cfdisk too
- partionning:
  o add a GRUB_BIOS partitions if needed (mga#18656)
  o MBR limit really is 2TiB, not 4, so use GPT for disks > 2TiB

  + schedbot <schedbot>
    - Rebuild for new drakx-net

* Tue Jun 07 2016 tv <tv> 17.35.1-1.mga6
+ Revision: 1020598
- fix selecting grub2 on !UEFI

* Tue Jun 07 2016 tv <tv> 17.35-1.mga6
+ Revision: 1020593
- fix selecting grub2-efi on UEFI (mga#18646)

  + schedbot <schedbot>
    - Rebuild for new perl
    - Rebuild for new perl

* Mon Jun 06 2016 tv <tv> 17.34.1-1.mga6
+ Revision: 1020352
- fix displaying release notes with WebKit2

* Mon Jun 06 2016 tv <tv> 17.34-1.mga6
+ Revision: 1020332
- bootloader:
  o enable to (un)install os-prober (mga#16010, mga#18538)
  o fix reading back last grub2 entry
  o only overwrite GRUB_CMDLINE_LINUX_DEFAULT on first install (mga#18112)
  o only overwrite install.sh when actually installing boot loader (mga#17455)
  o set GRUB_DEFAULT + GRUB_SAVEDEFAULT (mga#9627, mga#16059)
  o stop offering grub legacy & lilo on new installs (mga#18583)

  + schedbot <schedbot>
    - Rebuild for new meta-task

* Fri Jun 03 2016 ennael <ennael> 17.33-5.mga6
+ Revision: 1020161
- test a way to stop offering grub legacy on new installs (mga#18583)

  + schedbot <schedbot>
    - Rebuild for new ldetect-lst

* Fri May 27 2016 tmb <tmb> 17.33-3.mga6
+ Revision: 1018980
- undef debug

  + schedbot <schedbot>
    - Rebuild for new meta-task

* Fri May 27 2016 tv <tv> 17.33-1.mga6
+ Revision: 1018898
- adjust to latest gdb
- list all drivers needing a proprietary driver
- only use vesa on x86

  + schedbot <schedbot>
    - Rebuild for new meta-task

* Wed May 25 2016 tv <tv> 17.32-8.mga6
+ Revision: 1018323
- rebuild for new e2fsprogs

* Mon May 23 2016 tv <tv> 17.32-7.mga6
+ Revision: 1018094
- rebuild for new gtk+3.0

* Fri May 20 2016 tv <tv> 17.32-6.mga6
+ Revision: 1017103
- rebuild for fixed libxfont (mga#18413)

* Thu May 19 2016 ennael <ennael> 17.32-5.mga6
+ Revision: 1016838
- remove patch for KDE occurrences
- Fix last occurence of KDE in stage2

  + schedbot <schedbot>
    - Rebuild for new rpm-mageia-setup
    - Rebuild for new rpm-mageia-setup
    - Rebuild for new rpm
    - Rebuild for new rpm

* Thu May 12 2016 schedbot <schedbot> 17.31-3.mga6
+ Revision: 1013986
- Rebuild for new perl-URPM
- Rebuild for new rpm

* Tue May 10 2016 tv <tv> 17.31-1.mga6
+ Revision: 1011974
- rebuild for updated xorg drivers

  + ennael <ennael>
    - replace last KDE occurence with Plasma
    - left background for sta1
    - list all drivers needing a proprietary driver
    - install the right IM packages on Plasma when using fcitx

* Sat May 07 2016 tmb <tmb> 17.30-1.mga6
+ Revision: 1010292
- install nonfree firmware for amdgpu, i915, nouveau
- CSD:
  o make corners round like gtk+/Adwaita does
  o nicer decoration

  + schedbot <schedbot>
    - Rebuild for new rpm-mageia-setup

* Wed May 04 2016 tv <tv> 17.29-1.mga6
+ Revision: 1009206
- install the right IM packages on Plasma
- make CSD support available to forked processes (mga#18332)

  + schedbot <schedbot>
    - Rebuild for new perl

* Sat Apr 30 2016 tmb <tmb> 17.28-5.mga6
+ Revision: 1008360
- rebuild for new ldetect-lst

  + schedbot <schedbot>
    - Rebuild for new ldetect-lst
    - Rebuild for new rpm-mageia-setup
    - Rebuild for new meta-task

* Tue Apr 26 2016 tv <tv> 17.28-1.mga6
+ Revision: 1006343
- adapt to new brltty
- drop support for MIPS
- fix detecting running under Qemu
- fix installing packages when having a numeric pad
- recognize new kernel-4.6 drivers

  + schedbot <schedbot>
    - Rebuild for new rpm

* Sun Apr 24 2016 tv <tv> 17.27-3.mga6
+ Revision: 1005824
- fix installing packages when having a numeric pad
- fix detecting running under Qemu

* Sat Apr 23 2016 tv <tv> 17.27-2.mga6
+ Revision: 1005602
- add 'qemu' flag for rpmsrate
- exclude 2 Xorg libraries on ARM

  + schedbot <schedbot>
    - Rebuild for new meta-task
    - Rebuild for new rpm

* Thu Apr 14 2016 tv <tv> 17.26.1-8.mga6
+ Revision: 1001514
- bump release so that it applies the patch
- exclude 2 Xorg libraries on ARM
- rebuild for new rpm+URPM+urpmi

* Thu Apr 14 2016 schedbot <schedbot> 17.26.1-7.mga6
+ Revision: 1001441
- Rebuild for new urpmi
- Rebuild for new perl-URPM
- Rebuild for new rpm
- Rebuild for new rpm
- Rebuild for new rpm-mageia-setup
- Rebuild for new rpm-mageia-setup

* Fri Apr 08 2016 tv <tv> 17.26.1-1.mga6
+ Revision: 999411
- just ignore kernel options
- drakx-in-chroot:
  o enable to control strace behaviour
- rebuild with new xorg drivers + MDK::Common (less noise when diffing report.bug)

* Mon Apr 04 2016 tv <tv> 17.26-1.mga6
+ Revision: 998109
- add minimal CSD support (mga#17702)

* Sun Apr 03 2016 schedbot <schedbot> 17.25-2.mga6
+ Revision: 997819
- Rebuild for new rpm

  + tv <tv>
    - try to help autobuild by requiring locales-{de,es,fr}

* Fri Apr 01 2016 tv <tv> 17.25-1.mga6
+ Revision: 997325
- partionning:
  o fix detecting nvme devices as block devices
  o fix displaying partitions when there's only one disk
    (and the resulting crash: mga#18076)

* Thu Mar 31 2016 tv <tv> 17.24-3.mga6
+ Revision: 997059
- rebuild for new gtk+3.0

* Wed Mar 30 2016 tv <tv> 17.24-2.mga6
+ Revision: 996894
- rebuild for new gtk+ and lvm2
- no need to BR ia_ora-gnome anymore now that we switched to mutter

  + schedbot <schedbot>
    - Rebuild for new meta-task
    - Rebuild for new drakx-net
    - Rebuild for new drakx-net
    - Rebuild for new rpm
    - Rebuild for new meta-task

* Wed Mar 23 2016 tv <tv> 17.24-1.mga6
+ Revision: 994668
- fix build on ia32
- add 'virtualbox' & 'vmware' flags for rpmsrate
- use systemd-detect-virt for detecting virtualization technology

  + schedbot <schedbot>
    - Rebuild for new meta-task

* Wed Mar 23 2016 tv <tv> 17.23-2.mga6
+ Revision: 994257
- fix build on ia32
- do not include twice webkit2gtk library
- prevent usrmove files to remain
- remove swrast (too big just to fix a gtk+ warning...)

* Mon Mar 21 2016 tv <tv> 17.21-4.mga6
+ Revision: 993640
- rebuild for new gtk+3 & new ntfs-3g

* Mon Mar 21 2016 tv <tv> 17.21-3.mga6
+ Revision: 993521
- submit to core/release

* Mon Mar 21 2016 tv <tv> 17.21-2.mga6
+ Revision: 993517
- load evdev (thus fixing a crash)
- load psmouse (it is now modular)
- use WebKit2 instead of WebKit1 for displaying help content

* Fri Mar 18 2016 tv <tv> 17.20-1.mga6
+ Revision: 992834
- prevent slow boot on first boot (mga#16684)
- partionning:
  o fix partitions not initially displayed (mga#17564)

  + schedbot <schedbot>
    - Rebuild for new meta-task

* Mon Mar 07 2016 tv <tv> 17.19-3.mga6
+ Revision: 987188
- add safeguard to previous patch in case harddrake is not installed

* Mon Mar 07 2016 tv <tv> 17.19-2.mga6
+ Revision: 987044
- patch 2: try to prevent slow boot on first boot (mga#16684)

* Wed Feb 24 2016 tv <tv> 17.19-1.mga6
+ Revision: 978593
- detect nvme devices as block devices (mga#17743)
- detect partitions on nvme devices (mga#17743)

* Sat Feb 13 2016 tmb <tmb> 17.18.1-2.mga6
+ Revision: 959745
- rebuild for new systemd

* Wed Feb 10 2016 tv <tv> 17.18.1-1.mga6
+ Revision: 953530
- drakboot:
  o do not offer to edit entries for grub2-graphic (mga#9431)
- bootloader:
  o add support for grub2-text too (mga#9431)
- partionning:
  o check ESP has the right fs type (mga#16246)
  o check that ESP mount point actually is an ESP

* Tue Feb 09 2016 tmb <tmb> 17.17-4.mga6
+ Revision: 952970
- rebuild for new x11-server

* Sun Jan 31 2016 tv <tv> 17.17-3.mga6
+ Revision: 929378
- rebuild for latest gtk+3

* Sat Jan 30 2016 barjac <barjac> 17.17-2.mga6
+ Revision: 929216
+ rebuild (emptylog)

* Fri Jan 29 2016 tv <tv> 17.17-1.mga6
+ Revision: 928632
- fix hidden cursor (mga#17470)

* Fri Jan 29 2016 tv <tv> 17.16-3.mga6
+ Revision: 928628
- rebuild for latest rpm

* Fri Jan 22 2016 tv <tv> 17.16-2.mga6
+ Revision: 926473
- try harder to include cursors (mga#17470)

* Thu Jan 21 2016 tv <tv> 17.16-1.mga6
+ Revision: 926265
- Add ARM support in perl-install
- options:
  o silent a warning bout BOOT_IMAGE option
- partionning:
  o fix crash (mga#17484)

* Tue Jan 19 2016 tv <tv> 17.14-7.mga6
+ Revision: 925761
- try to include some Adwaita icons (mga#17470)

* Mon Jan 18 2016 tmb <tmb> 17.14-6.mga6
+ Revision: 925412
- rebuild for new systemd

* Mon Jan 18 2016 tmb <tmb> 17.14-5.mga6
+ Revision: 925199
- rebuild for new dbus

* Thu Jan 14 2016 tv <tv> 17.14-4.mga6
+ Revision: 923015
- rebuild for new rpm

* Wed Jan 13 2016 tv <tv> 17.14-3.mga6
+ Revision: 922398
- rebuild for new rpm

* Tue Jan 12 2016 tmb <tmb> 17.14-2.mga6
+ Revision: 922056
- rebuild with new x11-server

* Mon Jan 11 2016 tv <tv> 17.14-1.mga6
+ Revision: 921777
- do not warn about kernel options when parsing drakx options
- include libinput udev helpers

* Sun Jan 10 2016 tv <tv> 17.13-6.mga6
+ Revision: 920952
- rebuild with fixed rpm regarding file triggers indexes in chroot (mga#17217)

* Sat Jan 09 2016 tmb <tmb> 17.13-5.mga6
+ Revision: 920880
- preload psmouse in installer as it is now modular (mga#17470)
- bump rel for nonfree

* Sat Jan 09 2016 tmb <tmb> 17.13-3.mga6
+ Revision: 920780
- rebuild for new ldetect-lst

* Sat Jan 09 2016 tv <tv> 17.13-2.mga6
+ Revision: 920686
- rebuild with fixed rpm regarding file triggers in chroot (mga#17217)

* Sat Jan 09 2016 tv <tv> 17.13-1.mga6
+ Revision: 920676
- regressions from 17.11:
  o fix ignoring options from isolinux
  o fix parsing stage1's automatic option (mga#17441)
- silent a perl-5.22 warning

* Fri Jan 08 2016 tmb <tmb> 17.12-3.mga6
+ Revision: 920664
- rebuild for new llvm/mesa/libdrm

* Sun Jan 03 2016 pterjan <pterjan> 17.12-2.mga6
+ Revision: 919136
- Do not require vmmouse driver on non x86 arches

* Sat Jan 02 2016 tv <tv> 17.12-1.mga6
+ Revision: 918392
- bootloader:
  o log found kernels (mga#16128)
  o skip swap in the list of partitions (mga#15767)
- partitioning:
  o auto fill LV name from mntpnt (mga#5407)
  o suggest "lv_foo" instead of just "foo" for LVname
- summary:
  o drop support for ISApnp sound cards
- fix a message (mga#51414)
- misc cleanups

  + ennael <ennael>
    - 17.11
    - make report.bug.xz more reproducible
    - misc cleanups
    - fixes in drakx-in-chroot

* Thu Dec 24 2015 tv <tv> 17.10-1.mga6
+ Revision: 913936
- BR mutter
- use mutter instead of matchbox (fix black screen)

* Thu Dec 24 2015 tv <tv> 17.9-1.mga6
+ Revision: 913926
- include 60-evdev.rules instead of no more existing 60-keyboard.rules
- silent gtk+ warnings about swrast driver

* Tue Dec 22 2015 tv <tv> 17.8-1.mga6
+ Revision: 913383
- recognize new kernel-4.4 drivers

* Thu Dec 17 2015 tv <tv> 17.7.1-1.mga6
+ Revision: 911316
- include one more file for new X.org wrapper (mga#17348)
- adapt to new X.org wrapper (mga#17348)

* Wed Dec 16 2015 tv <tv> 17.6-2.mga6
+ Revision: 911151
- rebuid for new gtk+ & xserver

* Sat Dec 12 2015 ennael <ennael> 17.6-1.mga6
+ Revision: 909719
- fix running with xserver-1.18

* Tue Dec 08 2015 ennael <ennael> 17.5-1.mga6
+ Revision: 908926
- finalize switch to sddm and plasma5

* Sun Dec 06 2015 ennael <ennael> 17.4-1.mga6
+ Revision: 908606
- Use task-plasma5 for installer

* Fri Dec 04 2015 tv <tv> 17.3-1.mga6
+ Revision: 907981
- new release

* Tue Dec 01 2015 tv <tv> 17.2-2.mga6
+ Revision: 907531
- rebuild for new ldetect-lst

* Thu Nov 26 2015 ennael <ennael> 17.2-1.mga6
+ Revision: 906322
- left background for Mageia 6 dev 1

* Sun Nov 22 2015 tmb <tmb> 17.1-8.mga6
+ Revision: 904938
- rebuild for new ldetect-lst with enabled nvidia drivers

* Fri Nov 13 2015 tv <tv> 17.1-7.mga6
+ Revision: 903037
- rebuild for new ldetect-lst (proprietary drv vs xserver 1.18)

* Fri Nov 13 2015 tv <tv> 17.1-6.mga6
+ Revision: 903021
- rebuild for new ldetect-lst (proprietary drv vs xserver 1.18)

* Thu Nov 12 2015 tv <tv> 17.1-5.mga6
+ Revision: 902865
- rebuild for new xserver, rpm & gtk+
- switch to pkgconfig() BRs

* Sun Nov 01 2015 tv <tv> 17.1-4.mga6
+ Revision: 897232
- rebuild with new rpm

* Thu Sep 24 2015 tv <tv> 17.1-3.mga6
+ Revision: 883312
- rebuild with stable libraries

* Sun Sep 06 2015 tv <tv> 17.1-2.mga6
+ Revision: 873784
- fix build with rpm-4.13 (debuginfo package is empty...)
- rebuild with new rpm

* Thu Aug 27 2015 tv <tv> 17.1-1.mga6
+ Revision: 870304
- fixed tarball
- drop merged patches
- recognize new kernel-4.1 drivers

* Fri Aug 21 2015 tmb <tmb> 17.0-2.mga6
+ Revision: 867330
- 60-keyboard.rules does not exist anymore
- rebuild with new packages

* Wed Jun 24 2015 tv <tv> 17.0-1.mga6
+ Revision: 842437
- adapt to pango 1.37.x
- adapt to perl-5.22
- switch from evdev+synaptics to libinput driver

* Mon Jun 15 2015 tmb <tmb> 16.105-1.mga5
+ Revision: 823157
- really fix urpmi media when installing from USB (mga#5690)
- include latest drakx-installer-help

* Sat Jun 13 2015 tmb <tmb> 16.104-1.mga5
+ Revision: 823048
- diskdrake:
  o prevent errors when telling kernel to reread partition table
- update translations

* Mon Jun 08 2015 tmb <tmb> 16.103-2.mga5
+ Revision: 822953
- rebuild with fixed packages

* Thu Jun 04 2015 tv <tv> 16.103-1.mga5
+ Revision: 822894
- partitioning wizard:
  o only use current disk when auto partitioning, wiping disk,
    using free space (mga#16055)
- partitioning wizard:
  o only use current disk when auto partitioning, wiping disk,
    using free space (mga#16055)

* Sun May 31 2015 tmb <tmb> 16.102-2.mga5
+ Revision: 822835
- rebuild for official release

* Fri May 29 2015 tmb <tmb> 16.102-1.mga5
+ Revision: 822795
- diskdrake:
  o ignore some recovery partitions (mga#15999) (mga#15999)
  o run udevadm settle after actions that trigger device reload (mga#15999)
- typo/layout fixes for media tooltips in media screen
- translation updates

* Tue May 26 2015 daviddavid <daviddavid> 16.101-3.mga5
+ Revision: 822740
- rebuild for drakx-installer-help-5.7

* Mon May 25 2015 marja <marja> 16.101-2.mga5
+ Revision: 822714
- rebuild for drakx-installer-help

* Mon May 25 2015 tv <tv> 16.101-1.mga5
+ Revision: 822695
- do not die if network cannot be started for updates (mga#8819),
  just log the faillure and offer to either retry or abort
- do not offer to add a CD-ROM as supplement media (mga#13671)
- fix urpmi media when installing from USB (mga#5690)
- locale setting
  o fix reading back IM config (mga#15761)
- partitioning:
  o set pt_type according to fs_type before flag cases (mga#16029)

* Sun May 24 2015 marja <marja> 16.100-4.mga5
+ Revision: 822687
- rebuild for new drakx-installer-help

* Sat May 23 2015 marja <marja> 16.100-3.mga5
+ Revision: 822674
- rebuild for new drakx-installer-help

* Fri May 22 2015 tmb <tmb> 16.100-2.mga5
+ Revision: 822648
- rebuild for new ldetect-lst

* Wed May 20 2015 tv <tv> 16.100-1.mga5
+ Revision: 822464
- add online media at installation end (mga#8819)

* Wed May 20 2015 tv <tv> 16.99-1.mga5
+ Revision: 822447
- bootloader:
  o display cosmetics when reading back GPT partitions
  o do not detect grub2 on UEFI when there's no bootloader
  o fix default grub2 kernel parameters (mga#15984)
- partitioning:
  o fix mnt point for FAT partitions on GTP (mga#15987)
  o set the proper GUID for FAT partitions on GPT
- don't try to install non existant scim-googlepinyin (mga#6681)

* Mon May 18 2015 tv <tv> 16.97-1.mga5
+ Revision: 822239
- (just to be sure draklive-install fix for mga15257 doesn't break anything)

* Sun May 17 2015 tv <tv> 16.96-1.mga5
+ Revision: 822189
- partitioning:
  o fix regression refusing FAT for ESP (mga#15962)

* Thu May 14 2015 tv <tv> 16.95-1.mga5
+ Revision: 822045
- better dialog title (mga#9648)
- partitioning:
  o fix a crash after "insufficient space" error (mga#15919)

* Wed May 13 2015 marja <marja> 16.93-2.mga5
+ Revision: 821988
- rebuild against new drakx-installer-help

* Sat May 09 2015 tv <tv> 16.93-1.mga5
+ Revision: 821581
- bootloader:
  o do use vga value for grub2
  o fix setting default grub2 entry

* Sat May 09 2015 tv <tv> 16.92-1.mga5
+ Revision: 821567
- bootloader:
  o add a dedicate step for grub2 (mga#9627)
  o always log update-grub2 output (mga#15857)
  o backup grub2 files before configuring
- log grub2 install.sh in report.bug like for grub (mga#15857)
- networking:
  o recognize r8723bs (mga#15874)
- partitioning:
  o do not set noauto for /boot/EFI (mga#15627)

* Sat May 09 2015 tmb <tmb> 16.91-2.mga5
+ Revision: 821548
- rebuild for updated packges

* Sun May 03 2015 ennael <ennael> 16.91-1.mga5
+ Revision: 821208
- Left-background for final release

* Tue Apr 28 2015 tmb <tmb> 16.90-1.mga5
+ Revision: 820820
- localedrake:
  o write input methods to /etc/locale.conf (mga#15464)
- run vgchange before updating the list of LVMs, not after, and even if not
  in install (should help with mga#7578).

* Sat Apr 25 2015 pterjan <pterjan> 16.89-1.mga5
+ Revision: 820764
- 16.89: Ignore special partitions on mmc (mga#15759)

* Sat Apr 25 2015 akien <akien> 16.88-1.mga5
+ Revision: 820754
- 16.88: ensure country/timezone locale is kept when removing unused locale packages (mga#3723)

* Wed Apr 22 2015 pterjan <pterjan> 16.87-1.mga5
+ Revision: 820525
- improve the partitioning display (mga#15728)

* Mon Apr 20 2015 tmb <tmb> 16.86-1.mga5
+ Revision: 820508
- bootloader:
  o dont override 'splash' and/or 'quiet' when adding 'noiswmd' (mga#15666)
- partitioning:
  o use the windows partition with the most available space on current
    disk, not the last one across all disks (mga#15589)
  o suggest up to 20GB/20%% of the windows partition (whichever is larger),
    previously 6GB/10%% (mga#15589)
  o hide empty space < 2MB, we have such holes due to alignment (mga#15733)
- speed up reading of flags from GPT partition table (mga#15621).

* Tue Apr 14 2015 tv <tv> 16.84-1.mga5
+ Revision: 820233
- bootloader config:
  o do not pass useless parameters to grub2 under UEFI (mga#15692)
  o fix kernel booting in blind mode (mga#15291)

* Mon Apr 13 2015 tmb <tmb> 16.83-1.mga5
+ Revision: 820157
- enable firmware raids with dmraid/kpartx like we do on
  live medias and on fully installed systems

* Mon Apr 13 2015 tv <tv> 16.82-1.mga5
+ Revision: 820117
- partionning:
  o detect Lenovo recovery & 'SYSTEM_DRV' as such (mga#1371)
  o do add a ESP if it was removed by "Clear All"
  o ignore ESP for "use free space on MS"
- bootloader config:
  o default to GRUB_DISABLE_RECOVERY=falss for 'failsafe' entry (mga#15675)

* Mon Apr 13 2015 tv <tv> 16.81-1.mga5
+ Revision: 820097
- add kpartx for dmraid activation
- fix upgrade when package's in several media (mga#15350)
  (need URPM-5.06 too)
- partionning:
  o don't guess a drive letter for ESP partitions

  + tmb <tmb>
    - BR: kpartx for dmraid activation

* Thu Apr 09 2015 tv <tv> 16.80-2.mga5
+ Revision: 820028
- rebuild with fixed libx86

* Thu Apr 09 2015 tv <tv> 16.80-1.mga5
+ Revision: 819993
- bootloader config:
  o check there's still some place on /boot with grub2 too
  o generate core.img for UEFI
  o fix detecting grub2 on UEFI
  o write /boot/grub2/install.sh like for grub instead of drakboot.conf
- log grub2 config in report.bug like for grub/lilo
- partitionning:
  o don't guess a drive letter for recovery partitions (mga15636)

* Tue Apr 07 2015 tv <tv> 16.79-1.mga5
+ Revision: 819835
- bootloader config:
  o keep vga= parameter when switching to grub2 (mga#9888)

* Tue Apr 07 2015 ennael <ennael> 16.78-1.mga5
+ Revision: 819808
- fix installing grub2 on MBR (mga#15640)

* Tue Apr 07 2015 tv <tv> 16.77-1.mga5
+ Revision: 819779
- bootloader:
  o add 'noiswmd' to kernel command line to manage isw_ bios
    fakeraids with dmraid for now (instead of mdadm) (mga#11289, mga#14330)
  o allow btrfs for / without separate /boot with grub2 (mga#15374)
- partitioning wizard:
  o do not offer to select RAID as it result in a crash (mga#5800)

* Mon Apr 06 2015 tmb <tmb> 16.76-3.mga5
+ Revision: 819751
- rebuild with new dmraid

* Sat Apr 04 2015 tv <tv> 16.76-2.mga5
+ Revision: 819694
- rebuild with latest ldetect-lst

* Fri Apr 03 2015 tv <tv> 16.76-1.mga5
+ Revision: 819656
- bootloader config:
  o log grub2-install failures (mga#15439)
- partitionning:
  o log fdisk -l output before/after partitionning
  o really try to detect recovery partitions on GPT

* Mon Mar 30 2015 tmb <tmb> 16.75-1.mga5
+ Revision: 819401
- partitioning:
  o better fix for fail to read too corrupted partition table
  o fix getting ESP with "use free space":
    make sure to not override /boot/EFI mount point with /media/win_X
  o make sure to check for existing ESP on all disks
  o relax checks for ESP
  o try to detect recovery partitions on GPT

* Fri Mar 27 2015 tv <tv> 16.74-1.mga5
+ Revision: 819346
- GPT partitionning:
  o fix retrieving ntfs partitions as ntfs-3g instead of ntfs
  o really fix retrieving swap partition type

* Fri Mar 27 2015 tmb <tmb> 16.73-1.mga5
+ Revision: 819334
- GPT partitionning:
  o fix creating RAID devices (mga#15400)
    (regression from 16.33)
  o fix "I cannot read the partition table of device XXX, it is too corrupted"
  o fix retrieving LVM/RAID/swap partition type
  o fix tagging lvm/raid as "linux filesystem"
  o fix tagging ntfs-3g as "linux filesystem"
  o fix tagging swap as "linux filesystem"
- tell users to ignore Gtk3 warnings

* Thu Mar 26 2015 ennael <ennael> 16.72-1.mga5
+ Revision: 819307
-  fix a crash in auto install (mga#15573)

* Wed Mar 25 2015 ennael <ennael> 16.71-2.mga5
+ Revision: 819302
- rebuild for new ldetect-lst

* Wed Mar 25 2015 tv <tv> 16.71-1.mga5
+ Revision: 819257
- bump max_nb() to 131 to cover mdadm managed imsm and ddf1 bios
  fakeraids (containers defaults to >= 127 and partitions <=126)
- partitionning:
  o fix retrieving ESP partition type on GPT (mga#15366)
  o log which GPT partition we fail to add/del
  o set proper GUID to ESP partitions with GPT layout
- pre-install grub2-efi on UEFI

* Sat Mar 21 2015 akien <akien> 16.70-1.mga5
+ Revision: 819066
- 16.70: better fix for the scrollbar in the package installation details window (mga#13894)

* Fri Mar 20 2015 tmb <tmb> 16.69-1.mga5
+ Revision: 819039
- efi partitioning fixes

* Fri Mar 20 2015 akien <akien> 16.68-3.mga5
+ Revision: 818984
- Add patch by Martin Whitaker to fix initial display in diskdrake (mga#13679)

* Fri Mar 20 2015 ennael <ennael> 16.68-2.mga5
+ Revision: 818976
- workaround #13894 - Martin Whitaker patch
  always jumps back to the bottom when a new line is printed

* Tue Mar 17 2015 tv <tv> 16.68-1.mga5
+ Revision: 818728
- fix mis-detecting some mobile broadband modems (mga#12492)
- add 'deploops' option for debugging (mga#15350)
- log mkinitrd faillures (mga#9201)

* Sun Mar 15 2015 tmb <tmb> 16.67-5.mga5
+ Revision: 818607
- rebuild for new libx86

* Sat Mar 14 2015 tmb <tmb> 16.67-4.mga5
+ Revision: 818537
- rebuild for new btrfs-progs and ldetect-lst

* Tue Mar 10 2015 tv <tv> 16.67-3.mga5
+ Revision: 818290
- try to fix "need to reboot" after partition changes (mga#14758, mga#15449)

* Mon Mar 09 2015 tmb <tmb> 16.67-2.mga5
+ Revision: 818253
- rebuild with new x11-driver-video-fbdev

* Thu Mar 05 2015 tv <tv> 16.67-1.mga5
+ Revision: 817888
- auto_install:
  o ignore firmwares within draklive
  o log step errors
- drakx-in-chroot:
  o unbreak draklive

* Thu Mar 05 2015 akien <akien> 16.66-1.mga5
+ Revision: 817769
- New 16.66 tarball with fixed typo

  + ennael <ennael>
    - add "nofail" option to "foreign" mountpoints to avoid unwanted recovery mode

* Fri Feb 27 2015 akien <akien> 16.65-1.mga5
+ Revision: 817197
- Mageia 5 RC left-background
- Include udev rule for Synaptics

* Fri Feb 27 2015 tv <tv> 16.64-1.mga5
+ Revision: 817191
- partitioning:
  o add missing button icons (mga#15264)

* Fri Feb 27 2015 tv <tv> 16.63-1.mga5
+ Revision: 817163
- partitioning:
  o fix too wide buttons (mga#12422, mga#13471, mga#14839, mga#15379)

* Fri Feb 27 2015 tmb <tmb> 16.62-10.mga5
+ Revision: 817147
- rebuild with new ldetect-lst

* Thu Feb 26 2015 tv <tv> 16.62-9.mga5
+ Revision: 817079
- rebuild with new URPM

* Thu Feb 26 2015 tv <tv> 16.62-8.mga5
+ Revision: 817048
- rebuild with new urpmi (mga#15032)

* Wed Feb 25 2015 tmb <tmb> 16.62-7.mga5
+ Revision: 817000
- rebuild with new libx86

* Wed Feb 25 2015 tmb <tmb> 16.62-6.mga5
+ Revision: 816979
- rebuild for new libx86

* Tue Feb 24 2015 tv <tv> 16.62-4.mga5
+ Revision: 816845
- rebuild with new ldetect

* Tue Feb 24 2015 tv <tv> 16.62-3.mga5
+ Revision: 816833
- rebuild with fixed vbetool (mga#3910)

* Sun Feb 22 2015 tmb <tmb> 16.62-2.mga5
+ Revision: 816322
- rebuild with new ldetect-lst

* Thu Feb 19 2015 tv <tv> 16.62-1.mga5
+ Revision: 815824
- partitioning (mga#12422, mga#11988, mga#14839, mga#15272, mga#15264):
  o use an horizontal scrolling bar when needed
  o use a vertical scrolling bar when needed (mga#15272)
  o workaround too wide togglebuttons with empty label with gtk+3 and/or Adwaita

* Wed Feb 18 2015 tv <tv> 16.61-1.mga5
+ Revision: 815538
- ensure we install radeon-firmware too if needed (mga#15203)

* Wed Feb 18 2015 tv <tv> 16.60-1.mga5
+ Revision: 815533
- ensure we install kernel-firmware-nonfree if needed (mga#15203)

* Wed Feb 18 2015 tv <tv> 16.59-1.mga5
+ Revision: 815471
- bug:
  o display a nicer message when no removable medium is found (mga#14435)

* Fri Feb 13 2015 tv <tv> 16.57-3.mga5
+ Revision: 814820
- rebuild for fixed gtk+ (mga#11893)

* Thu Feb 12 2015 tmb <tmb> 16.57-2.mga5
+ Revision: 814774
- rebuild for new x11-server

* Wed Feb 11 2015 tv <tv> 16.57-1.mga5
+ Revision: 814736
- fix taking screenshots on UEFI 24bit bpp framebuffer (mga#13684)

* Wed Feb 11 2015 tmb <tmb> 16.55-2.mga5
+ Revision: 814719
- rebuild for new drakx-kbd-mouse-x11

* Mon Feb 09 2015 ennael <ennael> 16.55-1.mga5
+ Revision: 814410
- drakclock: Ensure that /etc/localtime is a symlink (mga#14888)
- users: Make sure to restart accounts-daemon after adding users (mga#15113)
- finish-install: Ensure i18n settings are loaded
- Create a symlink instead a hard copy to localtime see issue #14888
- i18n: Write the desired console font to /etc/vconsole.conf
- i18n: Use the x-distro /etc/locale.conf file instead of /etc/sysconfig/i18n
- drakedm: Don't run ancient dm init script (which no longer exists)
- Update traslations

* Fri Feb 06 2015 ennael <ennael> 16.54-1.mga5
+ Revision: 813716
- fix left background image size

* Fri Feb 06 2015 lmenut <lmenut> 16.53-1.mga5
+ Revision: 813635
- switch from oxygen-gtk to Adwaita theme
  remove oxygen-gtk
  add missing icons (mga#13673, mga#14355, mga#14840, mga#14844)
  add BR librsvg2 for libpixbufloader-svg.so
  add gtk.css

* Thu Feb 05 2015 tmb <tmb> 16.52-1.mga5
+ Revision: 813504
- default to GPT on disks larger than 4TB, not LVM
- fix GPT initialization on empty disk
- fix failure to delete partitions after switching to GPT
- fix stage2 loading graphical installer in efi mode

* Tue Feb 03 2015 marja <marja> 16.51-2.mga5
+ Revision: 813304
- rebuild against new drakx-installer-help

* Tue Feb 03 2015 ennael <ennael> 16.51-1.mga5
+ Revision: 813290
- Mageia 5 beta 3
- recognize new kernel-3.19 drivers

* Thu Jan 29 2015 tmb <tmb> 16.50-2.mga5
+ Revision: 812677
- rebuild for new x11-driver-video-fbdev and btrfs-progs

* Fri Jan 09 2015 tmb <tmb> 16.50-1.mga5
+ Revision: 809522
- initial uefi support

* Tue Jan 06 2015 pterjan <pterjan> 16.49-2.mga5
+ Revision: 808886
- Rebuild with fixed perl

* Wed Dec 31 2014 marja <marja> 16.49-1.mga5
+ Revision: 807594
- translation updates (l10n)
- refer to MageiaWelcome instead of to something we do not have (mga#10901)
- drakx-in-chroot:
  o pre-create /dev/null & co before mounting devtmpfs (tv)
- recognize new kernel-3.18 drivers (mga#14799) (tv)

* Tue Dec 30 2014 tmb <tmb> 16.48-4.mga5
+ Revision: 807498
- rebuild for new btrfs-progs

* Thu Dec 25 2014 marja <marja> 16.48-3.mga5
+ Revision: 806013
- rebuild for new drakx-kbd-mouse-x11

* Wed Dec 17 2014 akien <akien> 16.48-2.mga5
+ Revision: 803844
- Mageia 5 artwork integration (new tarball for 16.48)

* Tue Dec 16 2014 ennael <ennael> 16.48-1.mga5
+ Revision: 803634
- make_boot_img: Avoid gfxboot install string for chain.c32
- make_boot_img: Using chain.c32 instead of localboot
- left background for Mageia 5 beta 2
- do not load hyper-v modules (already done by udev in stage1)

* Sun Dec 14 2014 tmb <tmb> 16.47-2.mga5
+ Revision: 803104
- rebuild for new packages

* Fri Dec 05 2014 tv <tv> 16.47-1.mga5
+ Revision: 801664
- do not crash loading stage2 in Virtual PC (mga#14117)
- bootloader config:
  o do not crash if fstab contains a bind mount on a file (mga#14657)

* Tue Nov 04 2014 tmb <tmb> 16.45-3.mga5
+ Revision: 795656
- rebuild for fixed systemd

* Fri Oct 31 2014 tmb <tmb> 16.45-2.mga5
+ Revision: 794853
- rebuild for new systemd

* Sun Oct 26 2014 tv <tv> 16.45-1.mga5
+ Revision: 793396
- drakx-in-chroot:
  o pre-create /dev/null & co again (for draklive)
- fix selecting of uneeded locales (mga#3723)

* Sat Oct 25 2014 tmb <tmb> 16.44-2.mga5
+ Revision: 793225
- rebuild for new util-linux and btrfs-progs

* Thu Oct 23 2014 tv <tv> 16.44-1.mga5
+ Revision: 792568
- drakx-in-chroot:
  o document --stage2-update in --help
  o mount /dev -o ro
  o try harder to umount everything when sg went havroc

* Thu Oct 23 2014 tv <tv> 16.43-2.mga5
+ Revision: 792560
- rebuild for fixed rpm+URPM

* Tue Oct 21 2014 ennael <ennael> 16.43-1.mga5
+ Revision: 792293
- Fix BuilRequires on rpm
- 16.43

* Sun Oct 19 2014 tv <tv> 16.41-16.mga5
+ Revision: 791610
- rebuild with rpm not using pthread lock for logging (mga#14172)

* Wed Oct 15 2014 umeabot <umeabot> 16.41-15.mga5
+ Revision: 744398
- Second Mageia 5 Mass Rebuild

* Sun Oct 12 2014 tmb <tmb> 16.41-14.mga5
+ Revision: 738156
- rebuild with new rpm

* Fri Oct 10 2014 tmb <tmb> 16.41-13.mga5
+ Revision: 737984
- rebuild for lock elision enabled glibc

* Fri Oct 10 2014 tmb <tmb> 16.41-12.mga5
+ Revision: 737932
- rebuild with new glibc

* Fri Oct 10 2014 tv <tv> 16.41-11.mga5
+ Revision: 737901
- rebuild with fixed glibc

* Thu Oct 09 2014 tv <tv> 16.41-10.mga5
+ Revision: 737711
- rebuild for new urpmi
- disable debug: it won't help the issue we're seeing and prevent using
  drakx-in-chroot

* Wed Oct 08 2014 tv <tv> 16.41-9.mga5
+ Revision: 737569
- rebuild for new gtk+3.0

* Tue Oct 07 2014 ennael <ennael> 16.41-8.mga5
+ Revision: 737306
- rebuild for new drakx-installer-help
- add temporary debug option

* Sat Oct 04 2014 tmb <tmb> 16.41-7.mga5
+ Revision: 736803
- rebuild for new meta-task

* Fri Oct 03 2014 tmb <tmb> 16.41-6.mga5
+ Revision: 736679
- rebuild for lvm2, meta-task and btrfs-progs

* Wed Sep 24 2014 tv <tv> 16.41-5.mga5
+ Revision: 723814
- rebuild for new perl/gtk+

* Tue Sep 16 2014 umeabot <umeabot> 16.41-4.mga5
+ Revision: 678851
- Mageia 5 Mass Rebuild

* Tue Sep 16 2014 tv <tv> 16.41-3.mga5
+ Revision: 677111
- rebuild for new gtk+

* Wed Sep 03 2014 tv <tv> 16.41-2.mga5
+ Revision: 671591
- rebuild for new gtk+

* Sun Aug 31 2014 tv <tv> 16.41-1.mga5
+ Revision: 670169
- adapt to latest systemd
- allow /boot on btrfs
- recognize new kernel-3.17 drivers

* Sat Aug 30 2014 tv <tv> 16.40-5.mga5
+ Revision: 669425
- rebuild for new e2fsprogs

* Mon Aug 25 2014 daviddavid <daviddavid> 16.40-4.mga5
+ Revision: 667352
- rebuild again for new fixes on oxygen-gtk3 (mga#13954)

* Mon Aug 25 2014 daviddavid <daviddavid> 16.40-3.mga5
+ Revision: 667334
- rebuild for new fixes on oxygen-gtk3 (mga#13954)

* Fri Aug 22 2014 tv <tv> 16.40-2.mga5
+ Revision: 666378
- adwaita-gtk3-theme no longer provides a settings.ini file
- log X.org server logs when it fails to start up (mga#13471, ...)
- recognize hyper-v paravirtual network driver

* Sun Aug 17 2014 tv <tv> 16.39-2.mga5
+ Revision: 664956
- recognize new kernel-3.16 drivers

* Tue Aug 12 2014 tv <tv> 16.38-2.mga5
+ Revision: 662039
- rebuild for new gtk+3.0 & new e2fsprogs

* Tue Jul 22 2014 ennael <ennael> 16.38-1.mga5
+ Revision: 655467
- Mageia 5 alpha 2 left background

* Thu Jul 03 2014 tv <tv> 16.37-1.mga5
+ Revision: 642831
- typo fix

  + colin <colin>
    - 16.37: Fix fstab writing

* Tue Jul 01 2014 tmb <tmb> 16.36-1.mga5
+ Revision: 641851
- hide /boot/efi check for now (mga#13638)

* Sun Jun 29 2014 ennael <ennael> 16.35-1.mga5.tainted
+ Revision: 641440
- Mageia 5 alpha 1
- let udev handle floppies

* Sun Jun 29 2014 tmb <tmb> 16.33-4.mga5
+ Revision: 641413
- work around missing /etc/gtk-3.0/settings.ini
- rebuild for new btrfs-progs

* Tue Jun 24 2014 tv <tv> 16.33-3.mga5
+ Revision: 639450
- rebuild for new pango too

* Tue Jun 24 2014 tv <tv> 16.33-2.mga5
+ Revision: 639357
- rebuild for new glib/gtk+

* Wed Jun 18 2014 tv <tv> 16.33-1.mga5
+ Revision: 638041
- stop creating some /dev entries that are managed by udev

* Sun Jun 15 2014 tv <tv> 16.32-1.mga5
+ Revision: 636843
- include platform driver autoload udev rules
- recognize new kernel-3.15 drivers

* Mon Jun 09 2014 tv <tv> 16.31.1-3.mga5
+ Revision: 635186
- rebuild with x.org server 1.16 RC
- fix URL

* Sun Jun 08 2014 tv <tv> 16.31.1-2.mga5
+ Revision: 634756
- rebuild with glib/gtk+ 3.13.2

* Fri Jun 06 2014 tv <tv> 16.31.1-1.mga5
+ Revision: 633922
- include udev rule for VMmouse

* Fri Jun 06 2014 tv <tv> 16.31-1.mga5
+ Revision: 633917
- adjust input BRs accordingly
- xorg config:
  o rely on evdev/udev for input devices
  o Wacom tablets should work better
    (we now load the wacom driver again)
  o Synaptics touchpads should now work during install (mga#11524)

* Wed Jun 04 2014 tv <tv> 16.30-1.mga5
+ Revision: 632817
- adapt to perl-5.20
- add some POD documentation
- do not unavailable kernel-xbox
- drop (broken) support for Alpha, PPC, Sparc & IA64
- locale setting
  o stop configuring HAL
  o update locales list

  + tmb <tmb>
    - rebuild for new ldetect-lst

* Thu May 29 2014 tmb <tmb> 16.29-2.mga5
+ Revision: 627782
- rebuild for new ldetect-lst

* Sat May 03 2014 tmb <tmb> 16.29-1.mga5
+ Revision: 619845
- gnome-icon-theme-symbolic is replaced by adwaita-icon-theme
- rebuild for new perl-URPM with 64k size limit fix (mga#13316)

* Mon Apr 28 2014 tv <tv> 16.28-1.mga5
+ Revision: 618532
- recognize new kernel-3.14 drivers

* Fri Mar 21 2014 tv <tv> 16.27-4.mga5
+ Revision: 606365
- rebuild for new gtk+

* Sat Mar 08 2014 tv <tv> 16.27-3.mga5
+ Revision: 601238
- rebuild for new gtk+/xfsprogs/nilfs-utils/ntfs-3g

* Wed Feb 19 2014 tv <tv> 16.27-2.mga5
+ Revision: 594925
- rebuild for new rpm/gtk+

* Tue Feb 18 2014 tv <tv> 16.27-1.mga5
+ Revision: 594544
- fix crash when choosing a RTL language (mga#12793)
- Ensure uid/gid extraction works when adding users via summary page
  (fixes chown'ing user to root when adding existing user on upgrade mga#12375)

* Tue Feb 18 2014 tv <tv> 16.26.6-9.mga5
+ Revision: 594454
- rebuild with new gtk+

* Tue Feb 18 2014 tv <tv> 16.26.6-8.mga5
+ Revision: 594150
- rebuild with new glib+gtk+

* Fri Feb 07 2014 tv <tv> 16.26.6-7.mga5
+ Revision: 585422
- rebuild for new perl & new xserver
  (which nicely shows gtk+3.11.x glitches)

* Mon Jan 27 2014 tmb <tmb> 16.26.6-6.mga4
+ Revision: 568478
- rebuild for Official

* Mon Jan 27 2014 colin <colin> 16.26.6-5.mga4
+ Revision: 568421
- Rebuild for latest drakx-net

* Sun Jan 26 2014 colin <colin> 16.26.6-4.mga4
+ Revision: 568243
- Rebuild for latest drakx-net

* Sat Jan 25 2014 tmb <tmb> 16.26.6-3.mga4
+ Revision: 568205
- drop debug patch

* Fri Jan 24 2014 tv <tv> 16.26.6-2.mga4
+ Revision: 567678
- rebuild for new drakx-installer-help

* Thu Jan 23 2014 tv <tv> 16.26.6-1.mga4
+ Revision: 567536
- fix hidden icon in individual package selection (mga#12397)

* Wed Jan 22 2014 tv <tv> 16.26.5-1.mga4
+ Revision: 567392
- release notes dialog:
  o fix untranslated button

* Wed Jan 22 2014 tv <tv> 16.26.4-2.mga4
+ Revision: 567385
- remove debug patch that was wrongly commited

* Wed Jan 22 2014 tv <tv> 16.26.4-1.mga4
+ Revision: 567379
- debug image:
  o add a warning about QWERTY keyboard
- help dialogs:
  o do warn on first screenshot (mga#11176)
  o fix lost help screenshots (mga#11176)

* Tue Jan 21 2014 tv <tv> 16.26.3-1.mga4
+ Revision: 567273
- help dialogs:
  o do not warn if a screenshot already has been taked (mga#11176)

* Mon Jan 20 2014 ennael <ennael> 16.26.2-1.mga4
+ Revision: 567202
- left background for final Mageia 4

* Mon Jan 20 2014 tv <tv> 16.26.1-1.mga4
+ Revision: 567182
- partitioning:
  o increase back minimum partition width for Oxygen (mga#11977)

* Mon Jan 20 2014 tv <tv> 16.26-1.mga4
+ Revision: 567079
- fix detecting if basesystem is installed (mga#10722)
  thus fixing "basesystem package not selected"
- partitioning:
  o fix sizing partition widgets
  o fix not moving window (mga#11790, mga#11988, mga#11977)
  o revert minimum partition width to its pre-gtk3 value
  o show labels on partition buttons

* Sun Jan 19 2014 ennael <ennael> 16.25-1.mga4
+ Revision: 567056
- Update desktop images for Mageia 4

* Sat Jan 18 2014 tv <tv> 16.24-1.mga4
+ Revision: 566796
- help dialogs:
  o make screenshots work (mga#11176)
  o fix untranslated button & title (mga#9828)

* Fri Jan 17 2014 tv <tv> 16.23-2.mga4
+ Revision: 566737
- rebuild for latest ldetect-lst

* Thu Jan 16 2014 tv <tv> 16.23-1.mga4
+ Revision: 566708
- partitioning:
  o do not show labels on partition buttons (mga#11988)

* Wed Jan 15 2014 tv <tv> 16.22-1.mga4
+ Revision: 566629
- fix "No GSettings schemas are installed on the system" error when inspecting
  partitions (mga#12279)
- services:
  o use --no-block with chkconfig and systemctl enable to prevent systemd reload
    and potential crash (especially during first/live boot)

* Mon Jan 13 2014 tv <tv> 16.21-1.mga4
+ Revision: 566466
- partitioning:
  o do not propose check bad blocks for btrfs (Manuel Hiebel, mga#10116)
  o increase minimum partition width for Oxygen (mga#11977)
    (if not enough, we will disable labels on partitions buttons again)
- revert back to matchbox instead of mutter as it doesn't fix
  diskdrake issues (mga#11977)
  (thus fixing missing window decorations (mga#12218))

* Mon Jan 06 2014 ennael <ennael> 16.20-1.mga4
+ Revision: 564976
- Mageia 4 design for left background

* Sun Jan 05 2014 tv <tv> 16.19-2.mga4
+ Revision: 564922
- rebuild with fixed drakx-net (mga#11592)

* Sat Jan 04 2014 ennael <ennael> 16.19-1.mga4
+ Revision: 564640
- Mageia 4 RC left background

* Wed Jan 01 2014 tv <tv> 16.17-5.mga4
+ Revision: 563774
- rebuild with fixed e2fsprogs

* Sun Dec 29 2013 tmb <tmb> 16.17-4.mga4
+ Revision: 563022
- rebuild for new aria2

* Sat Dec 21 2013 tv <tv> 16.17-3.mga4
+ Revision: 559481
- rebuild for new d-i-help

* Fri Dec 20 2013 tv <tv> 16.17-2.mga4
+ Revision: 559203
- rebuild with latest Gtk3

* Fri Dec 20 2013 tv <tv> 16.17-1.mga4
+ Revision: 559167
- media step:
  o hint that nonfree is needed if a CPU needs a microcode
- install:
  o fix pausing installing while displaying release notes
- drakx-in-chroot:
  o advise to install xephyr if missing
- use mutter instead of matchbox in order to try to workaround
  diskdrake issues (mga#11790, mga#11989, ...)
  as a side effect, stage2 shrinks by 3Mb...

* Mon Dec 16 2013 tv <tv> 16.14-3.mga4
+ Revision: 557316
- rebuild with latest perl-Gtk3

* Fri Dec 13 2013 tv <tv> 16.14-2.mga4
+ Revision: 556566
- rebuild with latest drakx-installer-help

* Tue Dec 10 2013 ennael <ennael> 16.14-1.mga4
+ Revision: 556170
- Mageia4 beta 2 left background

* Tue Dec 10 2013 tv <tv> 16.13-1.mga4
+ Revision: 556125
- fix crash when selecting an input method (mga#11939)

* Fri Dec 06 2013 tv <tv> 16.10-1.mga4
+ Revision: 555686
- package group selection: make bottom buttons always available
  (by puting the scrolling window only around the package group check boxes)

* Fri Dec 06 2013 tv <tv> 16.9-1.mga4
+ Revision: 555566
- fix retrieving network info from stage2 after dracut migration (mga#11504)

* Fri Dec 06 2013 tv <tv> 16.7-2.mga4
+ Revision: 555528
- rebuild with fixed gtk+ (misplaced tooltip, mga#11893, bgo#698730)

* Thu Dec 05 2013 tv <tv> 16.7-1.mga4
+ Revision: 555303
- partitioning:
  o fix a crash when creating partitions (mga#11876)

* Wed Dec 04 2013 tmb <tmb> 16.6-2.mga4
+ Revision: 555237
- rebuild for new btrfs-progs

* Wed Dec 04 2013 tv <tv> 16.6-1.mga4
+ Revision: 555108
- fix blue background behind left panel text (mga#11866)

* Tue Dec 03 2013 tv <tv> 16.5-3.mga4
+ Revision: 554795
- rebuild with fixed Glib for exception management (mga#11860)

* Tue Dec 03 2013 tv <tv> 16.5-2.mga4
+ Revision: 554770
- rebuild with fixed urpmi (mga#11319)

* Tue Dec 03 2013 tv <tv> 16.5-1.mga4
+ Revision: 554757
- partitioning:
  o detect eMMc block devices (Luc Menut, mga#11812)
  o fix a crash in partitioning wizard (mga#11820)
  o show labels on partition buttons again but ellipsized (mga#11858)

* Mon Dec 02 2013 tv <tv> 16.4-2.mga4
+ Revision: 554673
- rebuild with fixed Gtk3

* Mon Dec 02 2013 tv <tv> 16.4-1.mga4
+ Revision: 554655
- fix partionning wizard moving the main window to left (mga#11790)
- fix titles not being blue anymore

* Sat Nov 30 2013 ennael <ennael> 16.2-2.mga4
+ Revision: 554166
- rebuild for new meta-task

* Fri Nov 29 2013 tv <tv> 16.2-1.mga4
+ Revision: 554109
- no more run urpmi.update when adding media
  (uneeded with urpmi-7.27+)

* Thu Nov 28 2013 tv <tv> 16.1-1.mga4
+ Revision: 553837
- fix a warning: include dialog-warning-symbolic
- fix left panel text being black instead of white (mga#11792)
- fix calling "child1_shrink" via package "Gtk3::HPaned" (mga#11797)
- fix using old toolbar API that is no more available (mga#11791)
- wrap too big labels in summary dialog (mga#11793)

* Thu Nov 28 2013 tv <tv> 16.0-3.mga4
+ Revision: 553800
- rebuild with new gtk+
- BR gnome-icon-theme-symbolic

* Mon Nov 25 2013 ennael <ennael> 16.0-2.mga4
+ Revision: 553490
- rebuild for new meta-task

* Mon Nov 25 2013 tv <tv> 16.0-1.mga4
+ Revision: 553067
- switch from Gtk+-2 to Gtk+-3:
  o Banners: most themes work OK but Oxygen-gtk3...
  o diskdrake: most themes work OK but Oxygen-gtk3...
- detect_devices:
  fix ids to be numeric

* Tue Nov 19 2013 tv <tv> 15.73.1-1.mga4
+ Revision: 551837
- debug image:
  o include enough python in order to generate a stack trace from within stage2
  o fix passing arguments from drakx-in-chroot
- do not compile/include xhost+ anymore (unused for years)
- log why updates were not applied
- drop again libx11-devel BR

* Mon Nov 18 2013 tmb <tmb> 15.73-2.mga4
+ Revision: 551763
- BR: libx11-devel
- rebuild for new d-i-help

* Tue Nov 12 2013 colin <colin> 15.73-1.mga4
+ Revision: 550709
- 15.73: Properly escape the polkit wrapper script arguments

* Mon Nov 11 2013 tmb <tmb> 15.72.2-1.mga4
+ Revision: 550445
- use 5096UID instead of 5096(id -u)

* Sat Nov 09 2013 tmb <tmb> 15.72.1-1.mga4
+ Revision: 550388
- fix typo in last polkit Makefile change

* Sat Nov 09 2013 tmb <tmb> 15.72-1.mga4
+ Revision: 550126
- 15.72:
  - use /usr/libexec/drakrpm-addmedia directly in stage2 (colin, #11319)
  - debug image:
    o add missing python modules for latest gdb
   o fix building with latest gdb

* Sat Nov 09 2013 tmb <tmb> 15.71-2.mga4
+ Revision: 550043
- rebuild for new x11-server

* Fri Nov 08 2013 ennael <ennael> 15.71-1.mga4
+ Revision: 549927
- do not force gdm for xfce
  remove packdrake

  + tv <tv>
    - sort/explain BRs
    - drop useless requires on:
      o libx11-devel (not needed since XFdrake split)
      o pixman-devel (due to an old gtk/pixman bug in 2009, mdv#52320)

* Wed Nov 06 2013 tmb <tmb> 15.70-4.mga4
+ Revision: 549796
- rebuild for new dmraid

* Tue Nov 05 2013 tmb <tmb> 15.70-3.mga4
+ Revision: 549692
- rebuild for new perl-URPM & urpmi

* Sun Nov 03 2013 colin <colin> 15.70-2.mga4
+ Revision: 549285
- Regenerate tarball after git surgery after accidental merge

* Sun Nov 03 2013 ennael <ennael> 15.70-1.mga4
+ Revision: 549280
- Mageia 4 beta 1 left background

* Tue Oct 29 2013 ennael <ennael> 15.69-1.mga4
+ Revision: 547901
- adapt to a dracut based stage1

* Tue Oct 22 2013 umeabot <umeabot> 15.68.1-2.mga4
+ Revision: 542158
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 tv <tv> 15.68.1-1.mga4
+ Revision: 497023
- adapt to latest mdadm
- drop /etc/termcap as it's no longer part of our build
- make urpmi install check more reliable (polkit related path change mga#11125)
- recognize new kernel-3.12 drivers

* Thu Oct 10 2013 tv <tv> 15.67-1.mga4
+ Revision: 494868
- log when user reject applying updates (mga#11319)
- recognize new kernel-3.11 drivers

* Thu Oct 03 2013 tv <tv> 15.66-1.mga4
+ Revision: 490815
- include another network interface name udev rule (mga#10947)
- diskdrake:
  o enable to format already formated btrfs partitions (mga#11256)

* Sat Sep 28 2013 ennael <ennael> 15.65-1.mga4
+ Revision: 488565
- Mageia 4 alpha 3

  + tv <tv>
    - drop merged patch

* Sat Sep 28 2013 tv <tv> 15.64-3.mga4
+ Revision: 488536
- rebuild with fixed rpm

* Fri Sep 13 2013 tv <tv> 15.64-2.mga4
+ Revision: 478409
- simplify RAID fix (please test)

* Wed Sep 04 2013 ennael <ennael> 15.64-1.mga4
+ Revision: 475186
- Revert multiple desktop selection for alpha 2

* Wed Sep 04 2013 neoclust <neoclust> 15.62-3.mga4
+ Revision: 475103
- Add testing patch for RAID ( #9910 #11105 #8761 #10821 #6180)

* Wed Sep 04 2013 neoclust <neoclust> 15.62-2.mga4
+ Revision: 475087
- Rebuild against new drakxtools

* Tue Sep 03 2013 neoclust <neoclust> 15.62-1.mga4
+ Revision: 474720
- Mageia 4 alpha 2 left background

* Thu Aug 08 2013 tmb <tmb> 15.61-1.mga4
+ Revision: 464628
- include network interface name udev rule (mga#10947)

* Sun Aug 04 2013 ennael <ennael> 15.60-1.mga4
+ Revision: 463523
- Mageia 4 alpha 1

* Sun Aug 04 2013 ennael <ennael> 15.59-1.mga4
+ Revision: 463375
- update sources
- add missing re.so for utf8_heavy.pl
- detect wifi cards managed by ssb driver (mga#9378)

* Sat Aug 03 2013 tmb <tmb> 15.58-2.mga4
+ Revision: 462933
- rebuild for updated packages

* Fri Jul 19 2013 tv <tv> 15.58-1.mga4
+ Revision: 456211
- fix a lang pixmap (mga#10795)

* Tue Jul 16 2013 tv <tv> 15.57-1.mga4
+ Revision: 454942
- adapt to latest btrfs utils for resizing
- bootloader:
  o fix displaying need to install acpi* packages when they're already installed
  o read/save choosen default entry
- detect wifi cards managed by bcma driver (mga#9378)
- detect new kernel-3.10 drivers

* Fri May 31 2013 tv <tv> 15.54-6.mga4
+ Revision: 433677
- force submit to core/release as it looks good with perl-5.18

* Fri May 31 2013 tv <tv> 15.54-5.mga4
+ Revision: 433673
- submit to core/release as it looks good with perl-5.18

* Thu May 30 2013 tv <tv> 15.54-4.mga4
+ Revision: 433206
- build with new perl

* Sat May 18 2013 tmb <tmb> 15.54-3.mga4
+ Revision: 413547
- rebuild for d-i-b and mageia-release

* Fri May 17 2013 tv <tv> 15.54-2.mga3
+ Revision: 413479
- rebuild with new urpmi

* Fri May 17 2013 tv <tv> 15.54-1.mga3
+ Revision: 413454
- do not enable legacy sysvinit scripts that no longer exist (mga#10084)
- do not enable to pick xguest (mga#9750)
- fix offering to install shorewall & shorewall-ipv6 when already installed
- media step:
  o hint that nonfree is needed if a driver needs a nonfree firmware
  o preselect nonfree if needed

* Wed May 15 2013 tv <tv> 15.52-1.mga3
+ Revision: 413279
- fix displaying release notes while installing (mga#10087)

* Mon May 13 2013 tmb <tmb> 15.51-1.mga3
+ Revision: 413100
- any.pm: dont add arch() to release-notes file name (#10087)
- enable Nonfree/Tainted repositories if a package having a matching
  name is installed (similar to #8379)
- detect_devices: check for phy80211 sysfs directory as well to detect
  wireless devices

* Wed May 08 2013 tmb <tmb> 15.49-6.mga3
+ Revision: 412685
- rebuild for new drakx-net and drakx-kbd-mouse-x11

* Sat May 04 2013 tmb <tmb> 15.49-5.mga3
+ Revision: 412271
- rebuild for new drakx-kbd-mouse-x11

  + tv <tv>
    - explain why dracut is needed

* Fri May 03 2013 tmb <tmb> 15.49-4.mga3
+ Revision: 412215
- rebuild for new dracut and drakx-net
- rebuild for latest ldetect-lst

* Thu May 02 2013 tmb <tmb> 15.49-2.mga3
+ Revision: 411996
- rebuild for new ldetect-lst

* Thu May 02 2013 tv <tv> 15.49-1.mga3
+ Revision: 411938
- fix displaying ads (mga#9939)

* Wed May 01 2013 tv <tv> 15.48-1.mga3
+ Revision: 411873
- include mount options in auto_inst.pl
- install 'basesystem-minimal' instead of 'basesystem' prior to add extra media
  thus fixing "basesystem package not selected" (mga#9611)
- make xdm installation automatic in auto_inst mode (mga#9875)

* Tue Apr 30 2013 tv <tv> 15.47-1.mga3
+ Revision: 411715
- include more partition fields in auto_inst.pl (mga#9784)
- skip comments in /etc/crypttab (Colin, mga#9905)
- services:
  o list 'shorewall-ipv6' along 'shorewall'

* Sun Apr 28 2013 tmb <tmb> 15.45-2.mga3
+ Revision: 411544
- rebuild for new ldetect-lst

* Sat Apr 27 2013 tv <tv> 15.45-1.mga3
+ Revision: 411468
- fix doble logging of 'filesystem' installation (mga#7758)
- install shorewall-ipv6 along shorewall (mga#9401)
- bootloader:
  o try harder to get a label for other OSes (mga#9849,9681)
- partionning:
  o only allow 'acl' option for extX & reiserfs (mga#9884)
- explain what for drakx-installer-binaries is needed
- explain what for meta-task is needed

* Sat Apr 27 2013 tmb <tmb> 15.44-4.mga3
+ Revision: 411417
- rebuild for new meta-task

* Sat Apr 27 2013 tmb <tmb> 15.44-3.mga3
+ Revision: 411355
- rebuild for d-i-b, ldetect-lst, meta-task

* Wed Apr 24 2013 tmb <tmb> 15.44-2.mga3
+ Revision: 411085
- rebuild for new ldetect-lst and d-i-b

* Tue Apr 23 2013 tv <tv> 15.44-1.1.mga3
+ Revision: 411053
- remove bogus debug patch
- partionning:
  o fix a crash when reloading partition table (mga#9838)
  o fix a crash when trying to create a encrypted LVM partition (mga#9837)
- libxxf86misc-devel BR is no more needed since drakx-kbd-mouse-x11 split

* Mon Apr 22 2013 ennael <ennael> 15.43-1.mga3
+ Revision: 410931
- update left background for final release

* Mon Apr 22 2013 tmb <tmb> 15.42-2.mga3
+ Revision: 410872
- rebuild for drakx-kbd-mouse-x11

* Sun Apr 21 2013 tv <tv> 15.42-1.mga3
+ Revision: 410674
- partionning (mga#5661):
  o ensure LVMs on top of dmcrypt are activated after unlocking
  o fix UI redraw issue after unlocking dmcrypt partition
- add support for new help
- updated translations

* Fri Apr 19 2013 tv <tv> 15.40-1.mga3
+ Revision: 410562
- authentication:
  o 'nss-pam-ldapd' obsoletes 'pam_ldap' (mga#9769)
- partionning (mga#5661):
  o fix loosing crypt key when detecting LVMs on top of dmcrypt
  o fix loosing crypt key when re-reading partition tables

* Thu Apr 18 2013 tv <tv> 15.39-3.mga3
+ Revision: 410458
- rebuild for new urpmi & drakx-kbd-mouse-x11

* Wed Apr 17 2013 tmb <tmb> 15.39-2.mga3
+ Revision: 410305
- rebuild for new btrfs-progs

* Mon Apr 15 2013 tv <tv> 15.39-1.mga3
+ Revision: 410114
- bump min size for spliting /home fs (Eugeni, mga#3189):
  o from 8 to 12Gb if simple partionning
  o from 7 to 10Gb if /usr is split or for servers

* Sun Apr 14 2013 ennael <ennael> 15.38-1.mga3
+ Revision: 410091
- Mageia 3 RC banner

* Sat Apr 13 2013 tmb <tmb> 15.37-4.mga3
+ Revision: 410040
- unset debug (enabled by mistake)

* Sat Apr 13 2013 tmb <tmb> 15.37-3.mga3
+ Revision: 410025
- rebuild for d-i-b and ldetect-lst

* Wed Apr 10 2013 tmb <tmb> 15.37-2.mga3
+ Revision: 409387
- rebuild for new ldetect-lst

* Tue Apr 09 2013 tv <tv> 15.37-1.mga3
+ Revision: 409157
- library:
  o fix detecting some USB devices due to not reporting their class (mga#9674)
- partitionning:
  o allow to choose btrfs in normal mode (mga#65)

* Sat Apr 06 2013 tv <tv> 15.36-1.mga3
+ Revision: 408482
- bind mount /run in chroot, thus fixing dracut runs (Dave Hodgins, mga#9213)
- bootloader:
  o fix other Mga OS names in menu (mga#8710)

* Fri Apr 05 2013 tv <tv> 15.35-1.mga3
+ Revision: 408297
- diskdrake:
  o fix removing LVM entries when saving /etc/fstab (mga#5811)
- drakboot:
  o assume grub2.cfg is UTF-8 encoded
  o read back xen conf from grub2
  o set entries type when reading back grub2 conf, thus fixing
    switching back to grub-legacy (mga#9563)
- draksound
  o update draksound troubleshooting text (mga#4162)

* Fri Apr 05 2013 tmb <tmb> 15.34-2.mga3
+ Revision: 408217
- rebuild for new ldetect and d-i-b

* Thu Apr 04 2013 tv <tv> 15.34-1.mga3
+ Revision: 407778
- force loading NSS modules (mga#9326)
- log ignored dmraid devices (might help mga#9467)
- drakx-in-chroot:
  o always copy /etc/resolv.conf again

* Thu Apr 04 2013 tv <tv> 15.33-1.mga3
+ Revision: 407674
- drakx-in-chroot:
  o do not copy /etc/resolv.conf in chroot if not using either remote
    display or remote repository (thus fixing goup lookups, mga#9326)

* Sun Mar 31 2013 tv <tv> 15.32-1.mga3
+ Revision: 406809
- fix detecting Xen hard disks (mga#9546)

* Thu Mar 28 2013 ennael <ennael> 15.30-2.mga3
+ Revision: 405957
- rebuild for ldetect-lst

* Mon Mar 25 2013 ennael <ennael> 15.30-1.mga3
+ Revision: 405233
- New design for Mageia 3

* Sat Mar 23 2013 tmb <tmb> 15.29-3.mga3
+ Revision: 404639
- reuild with new perl-URPM

* Sat Mar 23 2013 tv <tv> 15.29-2.mga3
+ Revision: 404608
- rebuild with new ldetect-lst

* Fri Mar 22 2013 ennael <ennael> 15.29-1.mga3
+ Revision: 404469
- Mageia 3 beta 4 background

* Fri Mar 22 2013 tv <tv> 15.28-1.mga3
+ Revision: 404417
- do not disable module autoloading (mga#9428)
- authentication:
  o install nss-pam-ldapd instead of nss_ldap (mga#9375)
- partitionning:
  o actually preserve UUID when formatting (mga#9428)

* Thu Mar 14 2013 tmb <tmb> 15.27-2.mga3
+ Revision: 403129
- rebuild for new d-i-b

* Tue Mar 12 2013 tv <tv> 15.27-1.mga3
+ Revision: 402125
- bootloader:
  o install grub2-efi instead of grub2 if using UEFI (mga#8886)
- fix permissions of help displayer (mga#9340)
- fix dialogs popup with drakx-in-chroot

* Mon Mar 11 2013 tv <tv> 15.26-2.mga3
+ Revision: 402079
- rebuild for new e2fsprogs

* Tue Mar 05 2013 tv <tv> 15.26-1.mga3
+ Revision: 401495
- include display_installer_help
- show all errors at once at end of installation
- fork displaying help, thus workarounding a webkit segfault (mga#9124)
- prevent displaying twice release notes

* Sun Mar 03 2013 tv <tv> 15.24.1-2.mga3
+ Revision: 401297
- rebuild for new perl-Glib

* Sat Mar 02 2013 tmb <tmb> 15.24.1-1.mga3
+ Revision: 401160
- rebuild with updated kernel/list_modules

* Sat Mar 02 2013 tmb <tmb> 15.24-2.mga3
+ Revision: 401087
- rebuild for new x11-server

* Thu Feb 28 2013 tv <tv> 15.24-1.mga3
+ Revision: 400643
- bootloader:
  o allow installing grub2 on a partition (mga#8462)
  o try harder not to have duplicate stuff on grub2 cmd line
- do not put entry for CD/DVD in /etc/fstab (mga#7657)

* Wed Feb 27 2013 tv <tv> 15.23-1.mga3
+ Revision: 400473
- bootloader:
  o fix detecting grub2 if there's a remaining grub-legacy signature
  o read more of grub2 config
  o read & save timeout value (mga#8850)
  o set default parameters in grub2 config (mga#9177)
- do not attempt to use gurpmi.addmedia or gurpmi if in text mode

* Tue Feb 26 2013 ennael <ennael> 15.22-1.mga3
+ Revision: 400361
- Mageia 3 beta 3 background

* Tue Feb 26 2013 tv <tv> 15.21-1.mga3
+ Revision: 400342
- summary:
  o prevent installing grub2 somewhere else than MBR
  o read & write /boot/grub2/drakboot.conf
  o suggests MBR by default for grub2 too (Manuel Hiebel, #8851)
- always bypass blkid cache (the cache only includes a subset of the data we need)

* Sat Feb 23 2013 tmb <tmb> 15.20-6.mga3
+ Revision: 400171
- rebuild for meta-task and drakx-net

* Wed Feb 20 2013 tv <tv> 15.20-5.mga3
+ Revision: 399558
- rebuild for new drakx-net

* Sat Feb 09 2013 tmb <tmb> 15.20-4.mga3
+ Revision: 397340
- rebuild for new btrfs-progs

* Thu Jan 24 2013 tmb <tmb> 15.20-3.mga3
+ Revision: 392183
- rebuild for new drakx-net and meta-task

* Mon Jan 21 2013 ennael <ennael> 15.20-2.mga3
+ Revision: 390544
- remove uneeded patch for USB modules

  + tv <tv>
    - use modprobe instead of insmod (mga#8676)

* Mon Jan 21 2013 tmb <tmb> 15.19-3.mga3
+ Revision: 390490
- rebuild with new d-i-b
- sync kernel list_modules with installer-images (P1)

* Wed Jan 16 2013 tmb <tmb> 15.19-2.mga3
+ Revision: 388882
- rebuild for new d-i-b, ldetect

* Mon Jan 14 2013 ennael <ennael> 15.19-1.mga3
+ Revision: 388070
- remove unneeded patch
- Mageia 3 beta 2

* Thu Jan 10 2013 tmb <tmb> 15.18-3.mga3
+ Revision: 344888
- rebuild for new meta-task and ldetect-lst

* Sun Jan 06 2013 tv <tv> 15.18-2.mga3
+ Revision: 339947
- rebuild for latest device-mapper

* Sat Jan 05 2013 tv <tv> 15.18-1.mga3
+ Revision: 339157
- include more utils for raid (mga#8484)
- include more utils for raid (mga#8484)

* Fri Dec 28 2012 tv <tv> 15.16-1.mga3
+ Revision: 335762
- adapt to new help layout (mga#5634)

* Wed Dec 26 2012 tv <tv> 15.15-2.mga3
+ Revision: 335507
- disable temp libffi fix

* Mon Dec 24 2012 tv <tv> 15.15-1.mga3
+ Revision: 334698
- BR dracut for convertfs.sh
- temporary build fix: BR libffi6 (needed by gdk-pixbuf-query-loaders)
- drakx-in-chroot:
  o add --strace option, enabling to pinpoint missing modules
- include missing module for upcasing UTF-8 characters (mga#8475)
- media step:
  o prevent selecting an update medium without its parent medium
- build with rpm-4.11

* Mon Dec 17 2012 tv <tv> 15.14-1.mga3
+ Revision: 332193
- ugtk2: use new exceptions management
- fix installing grub2 from live session (blino)

* Sat Dec 15 2012 tv <tv> 15.13-1.mga3
+ Revision: 331044
- fix checking grub2 installation (mga#8390)

* Fri Dec 14 2012 tv <tv> 15.12-1.mga3
+ Revision: 330978
- "enhance" fake grub2 conf reading (mga#8366)
- time steps in logs
- media step:
  o fix dialogs title
  o show which media are disabled when offering to pick supplementary ones

* Thu Dec 13 2012 tv <tv> 15.11-2.mga3
+ Revision: 330523
- rebuild for new urpmi

* Thu Dec 13 2012 tv <tv> 15.11-1.mga3
+ Revision: 330454
- install grub2 if needed
- media choice step:
  o display tooltips describing media

* Tue Dec 11 2012 tv <tv> 15.10-1.mga3
+ Revision: 329765
- revert rosa crap that breaks generating initrd (mga#8357)

* Tue Dec 11 2012 tv <tv> 15.9-2.mga3
+ Revision: 329672
- rebuild for new ldetect

* Tue Dec 11 2012 tv <tv> 15.9-1.mga3
+ Revision: 329631
- fix network set up for adding network media if not up by stage1
  (aka DVD/CD case, mga#8282)
- partitionning:
  o if a partition has been manually formated, don't offer to format
    it again (mga#7822)

* Tue Dec 11 2012 tv <tv> 15.8-1.mga3
+ Revision: 329560
- fix installing basesystem prior to adding a supplementary network
  medium

* Mon Dec 10 2012 tv <tv> 15.7-1.mga3
+ Revision: 329390
- media choice step:
  o blacklist unwanted media instead  of whitelisting wanted ones
    (fix dual cd where media names are not the regular ones)
  o no media is a critical error
- updates step:
  o add all media instead of only update ones (mga#7959)

* Mon Dec 10 2012 tv <tv> 15.6-1.mga3
+ Revision: 329286
- language choise:
  o change title of of "Multiple languages" dialog box from "Please Choose A
    Language To Use" to "Select Additional Languages" (mga#7648)
- set font familly & size system wide, thus fixing font size in gurpmi
  & release notes (mga#67)

* Mon Dec 10 2012 tv <tv> 15.5-1.mga3
+ Revision: 329272
- recognize new drivers:
  o input: hid-sensor-hub
  o PHY: at803x

* Sun Dec 09 2012 tmb <tmb> 15.4-5.mga3
+ Revision: 329257
- rebuild for new meta-task

* Sun Dec 09 2012 tmb <tmb> 15.4-4.mga3
+ Revision: 329233
- disable debug so auto_install works again

* Sun Dec 09 2012 tmb <tmb> 15.4-3.mga3
+ Revision: 329197
- add additional debug patch (tv, P1)
- rebuild for new meta-task

* Sun Dec 09 2012 ennael <ennael> 15.4-2.mga3
+ Revision: 329167
- use debug for tests

* Sun Dec 09 2012 tv <tv> 15.4-1.mga3
+ Revision: 329142
- put grub-legacy before grub2

* Fri Dec 07 2012 tv <tv> 15.2-1.mga3
+ Revision: 327959
- add fake gru2 conf reading
- skip media screen in auto install

* Fri Dec 07 2012 tmb <tmb> 15.0-3.mga3
+ Revision: 327882
- fix auto_install (P1)

* Fri Dec 07 2012 tv <tv> 15.1-1.mga3
+ Revision: 327795
- add basic support for grub2 (mga#416)
  (based on rosa work but fixed and completed)

* Fri Dec 07 2012 tv <tv> 15.0-2.mga3.nonfree
+ Revision: 327765
- rebuild with new kmod

* Thu Dec 06 2012 tv <tv> 15.0-1.mga3
+ Revision: 327441
- enable to skip keyboard step with keyboard option
- enable to enable other media
  (such as 'nonfree', 'tainted' which are disabled by default)

* Tue Dec 04 2012 tv <tv> 14.52-2.mga3
+ Revision: 326499
- rebuild for new urpmi/URPM

* Tue Dec 04 2012 tv <tv> 14.52-1.mga3
+ Revision: 326469
- Mageia 3 beta 1 left background
- fix missing command links (mga#8289)
- fix initializing urpm object (mga#8160)
- fix offering "selecting individual packages" when pressing "previous" after
  selecting package groups

* Mon Dec 03 2012 tv <tv> 14.51-5.mga3
+ Revision: 325884
- rebuild for new urpmi/URPM

* Sat Dec 01 2012 tmb <tmb> 14.51-4.mga3
+ Revision: 324270
- rebuild for updated drakx-installer-help

* Sat Dec 01 2012 kamil <kamil> 14.51-3.mga3
+ Revision: 324266
- rebuild against new drakx-installer-help

* Fri Nov 30 2012 tv <tv> 14.51-2.mga3
+ Revision: 323285
- rebuild with new e2fsprogs

* Fri Nov 16 2012 tv <tv> 14.51-1.mga3
+ Revision: 318935
- retrieve package descriptions from XML meta-data instead of from huge hdlists
  (fix not displaying packages description in network installs) (mga#549)
- fix a crash when pressing "previous" after selecting package groups

* Thu Nov 15 2012 tv <tv> 14.50.1-1.mga3
+ Revision: 318198
- include Parse::EDID for monitor-parse-edid (mga#8076)

* Sun Nov 11 2012 tv <tv> 14.50-3.mga3
+ Revision: 316957
- rebuild for new meta-task

* Thu Nov 08 2012 tv <tv> 14.50-2.mga3
+ Revision: 316454
- rebuild for new ldetect-lst

* Tue Nov 06 2012 tv <tv> 14.50-1.mga3
+ Revision: 314821
- prevent a horizontal scrollbar to appear in some dialogs (mga#7374)

* Sat Nov 03 2012 ennael <ennael> 14.49-1.mga3
+ Revision: 313276
- remove uneeded patch
- Mageia 3 alpha 3 banner
- prefer real binaries over the lightweight perl wrappers
- convert filesystem for usrmove during upgrades
- show a 'please wait' dialog while processing usrmove

  + matteo <matteo>
    - bumped release
    - building against drakx-installer-help-3.1-1

* Fri Nov 02 2012 tmb <tmb> 14.48-3.mga3
+ Revision: 312718
- remove unwanted install/stage2/usr files
- Only emulate shell commands via perl if real versions do not exist already (P1, colin, trunk)

* Wed Oct 31 2012 tmb <tmb> 14.48-2.mga3
+ Revision: 311781
- rebuild for new ldetect-lst

* Mon Oct 22 2012 tv <tv> 14.48-1.mga3
+ Revision: 309130
- fix detecting if udev is already running
- include FIRMWARE packages from Cards+ in detected graphical drivers,
  to install radeon-firmware during install (#6438, #7641)
- properly generate stage2 with a usrmove-esque fs layout

* Thu Oct 18 2012 tv <tv> 14.47-2.mga3
+ Revision: 307982
- rebuild for new rpm

* Fri Oct 12 2012 tv <tv> 14.47-1.mga3
+ Revision: 304826
- offer resizing NTFS again (broken by ntfsprogs -> ntfs-3g switch)

* Sat Oct 06 2012 tv <tv> 14.46.3-2.mga3
+ Revision: 303048
- rebuild for new cairo

* Fri Oct 05 2012 tv <tv> 14.46.3-1.mga3
+ Revision: 302935
- load 'microcode' asynchronously, preventing big wait when not supported
  (mga#7671)

* Wed Oct 03 2012 tv <tv> 14.46.2-1.mga3
+ Revision: 302335
- adapt to latest dash-static
- fix comment in license text

* Tue Oct 02 2012 tv <tv> 14.46.1-1.mga3
+ Revision: 302129
- fix build with latest pango
- rebuild with ldetect & kmod (#5833)

* Thu Sep 27 2012 ennael <ennael> 14.46-1.mga3
+ Revision: 298812
- Mageia 3 alpha 2

* Thu Sep 20 2012 tv <tv> 14.45-1.mga3
+ Revision: 296438
- load fuse module automatically when trying to mount NTFS-3G (mga#5685)

* Sun Sep 16 2012 tv <tv> 14.44.1-1.mga3
+ Revision: 294283
- add spacing between license paragraphs

* Fri Sep 14 2012 tv <tv> 14.44-1.mga3
+ Revision: 293974
- drop merged path
- adapt to xserver 1.13
- advertize new doc license & licenser (mga#7347)
- install cpupower instead of cpupower
- package group selection:
  o remove "select all" button (not as usefull as "unselect all" & it
    takes too much place when translated)

* Thu Sep 13 2012 tv <tv> 14.43-3.mga3
+ Revision: 293484
- rebuild for new x11-server

* Wed Sep 12 2012 tv <tv> 14.43-2.mga3
+ Revision: 293122
- rebuild for new ldetect

* Tue Sep 04 2012 tv <tv> 14.43-1.mga3
+ Revision: 288169
- compress report with xz instead of gzip
- fix crash when clicking previous in minimal install step (mga#7345)
- include swaplabel (mga#7334)

* Tue Sep 04 2012 tv <tv> 14.42-1.mga3
+ Revision: 287900
- load 'aesni_intel' crypto module for newer Intel CPUs (mga#7333)
- recognize new drivers:
  o input: hid-aureal synaptics_usb
  o wifi: qmi_wwan, mwifiex_usb

* Mon Sep 03 2012 tv <tv> 14.41-1.mga3
+ Revision: 287739
- BR ia_ora-gnome again
- include back Ia Ora files for matchbox (mga#6451)

* Mon Sep 03 2012 tv <tv> 14.40-1.mga3
+ Revision: 287679
- prevent going further if some transactions failed (mga#7016)
- summary: fix displayed network type (mga#4959)
- losetep BR is a dup

* Mon Sep 03 2012 tv <tv> 14.39-1.mga3
+ Revision: 287592
- rely on stage1 for mounting /dev

* Sun Sep 02 2012 ennael <ennael> 14.38-1.mga3
+ Revision: 287241
- Mageia 3 alpha 1 banner

* Sat Sep 01 2012 ennael <ennael> 14.37-1.mga3
+ Revision: 286999
- Fix initrd generation

  + tv <tv>
    - adapt to urpmi-7.5

* Thu Aug 30 2012 tv <tv> 14.35-1.mga3
+ Revision: 285857
- adapt to usbfs death

* Thu Aug 30 2012 tv <tv> 14.34-1.mga3
+ Revision: 285769
- adapt to perl-5.16.1
- services:
  o fix checking systemd presence after systemd merge of subpackages

* Tue Aug 21 2012 tv <tv> 14.32-3.mga3
+ Revision: 282933
- rebuild for mouse driver issue

* Thu Aug 02 2012 kamil <kamil> 14.32-2.mga3
+ Revision: 277994
- rebuild against new drakx-installer-help v. 3.0

* Sat Jul 28 2012 tv <tv> 14.32-1.mga3.nonfree
+ Revision: 275173
- package group selection:
  o add a scrollbarb/arch/auto/c/c.so
    (due to Oxygen theme eating more space than Ia Ora one)
  o add "select all" & "unselect all" buttons
- stop fixing the raid udev rule now that it has been fixed

* Tue Jul 24 2012 tv <tv> 14.31-1.mga3
+ Revision: 274005
- adapt to latest GDB
- adapt to latest systemd/udevd
- adapt to /usr move
- nfs install: install nfs-utils instead of nfs-utils-clients
  (#6570, merged back in nfs-utils)
- rebuild for new rpm & URPM

* Thu Jun 28 2012 tv <tv> 14.30-2.mga3
+ Revision: 264619
- rebuild for latest rpm & URPM

* Sat Jun 23 2012 tv <tv> 14.30-1.mga3
+ Revision: 262744
- show all errors at once when setting media
- fix settings 'suggests' properly according to 'no_suggests'
  (aka default to suggests enabled)
  regression intoduced in 14.23

* Tue Jun 19 2012 tv <tv> 14.29-3.mga3
+ Revision: 261971
- rebuild for new URPM

* Mon Jun 18 2012 tv <tv> 14.29-2.mga3
+ Revision: 261779
- rebuild for new URPM

* Sun Jun 17 2012 tv <tv> 14.29-1.mga3
+ Revision: 261276
- adapt to perl-URPM >= 4.2
- rebuild for new urpmi & URPM

* Tue Jun 12 2012 tv <tv> 14.28-2.mga3
+ Revision: 259944
- BR nfs-utils instead of nfs-utils-clients
- rebuild for new rpm-4.10.0

* Mon Jun 11 2012 tv <tv> 14.28-1.mga3
+ Revision: 259846
- fix upgrade with rpm-4.10.0
- really fix build with brltty-4.3

* Thu Jun 07 2012 tv <tv> 14.27-1.mga3
+ Revision: 256689
- debug mode:
  o do not start udev twice
  o just start the installer if one quits the shell
  o spawn a shell like in regular mode
- fix build with brltty-4.3
- rebuild with x11-server-1.12

* Tue Jun 05 2012 tv <tv> 14.26-1.mga3
+ Revision: 255771
- fix detecting if Xorg started successfully

* Mon Jun 04 2012 tv <tv> 14.25-1.mga3
+ Revision: 254448
- fix fallbacking on curses install aka abort gtk install startup if Xnstall/install/NEWS
  failed to start
- switch from Ia Ora to Oxygen Gtk theme
- use proper design from original author

  + fwang <fwang>
    - turn to oxygen-gtk theme

* Thu May 31 2012 tv <tv> 14.24-1.mga3
+ Revision: 252116
- adapt to latest xkb
- fix build with perl-5.16.0

* Tue May 29 2012 tv <tv> 14.23.1-1.mga3
+ Revision: 249119
- include newly needed module

* Tue May 29 2012 tv <tv> 14.23-1.mga3
+ Revision: 248799
- do not create /dev/ entries created by udev
- kill last remanents of kernel-2.4.x support
- package group selection:
  o remember minimal install values when clicking "previous"
- packages installation:
  o add support for 'justdb' option
  o enable to go fast with 'tune-rpm'...
- partitionning:
  o first attempt at supporting XenBlk discs
  o reduce blkid timeout to 30 seconds (mga#5979)
- refactoring

* Sat May 19 2012 tmb <tmb> 14.22-3.mga2
+ Revision: 235928
- rebuild for mageia-release

* Thu May 17 2012 ennael <ennael> 14.22-2.mga2
+ Revision: 235898
- rebuild for final doc

* Tue May 15 2012 ennael <ennael> 14.22-1.mga2
+ Revision: 235737
- final banner
- fix detecting if adding update media succeeded
- authentication: don't update UsePAM option in sshd configuration

* Sun May 13 2012 barjac <barjac> 14.21-3.mga2
+ Revision: 235540
- Rebuild against updated drakx-installer-help

* Sat May 12 2012 ennael <ennael> 14.21-2.mga2
+ Revision: 235462
- rebuild against latest help package

* Fri May 11 2012 tv <tv> 14.21-1.mga2
+ Revision: 235339
- export res_init function to perl lib

* Thu May 10 2012 tmb <tmb> 14.20.1-2.mga2
+ Revision: 235247
- fix typo in list_modules

* Thu May 10 2012 tmb <tmb> 14.20.1-1.mga2
+ Revision: 235174
- drakx-in-chroot: unmount /dev in chroot

* Thu May 10 2012 tv <tv> 14.20-2.mga2
+ Revision: 235156
- rebuild with latest drakx-net (fix testing network connectivity, mga#5772)

* Sun May 06 2012 tv <tv> 14.20-1.mga2
+ Revision: 234807
- bind mount /dev inside chroot rather than copy nodes (mga#5730)

  + ennael <ennael>
    - display translated urpmi messages

* Thu May 03 2012 tv <tv> 14.19-1.mga2
+ Revision: 234665
- fix displaying urpmi fatal errors (mga#5725)
- add missing libfuse.so.2 for mount.ntfs-3g (#5685)

* Wed May 02 2012 tv <tv> 14.17-3.mga2
+ Revision: 234478
- rebuild for new ldetect-lst (mga#5681)

* Mon Apr 30 2012 ennael <ennael> 14.17-2.mga2
+ Revision: 234401
- rebuilt against new drakx-installer-help package

* Mon Apr 30 2012 ennael <ennael> 14.17-1.mga2
+ Revision: 234378
- fix noarch handling/search on 64bits
- various fixes in autoinstall
- drop support of reiser4

* Mon Apr 30 2012 tmb <tmb> 14.16-3.mga2
+ Revision: 234348
- rebuild for new meta-task and drakx-net

  + pterjan <pterjan>
    - Rebuild for new drakx-kbd-mouse-x11

* Sun Apr 29 2012 tv <tv> 14.16-1.mga2
+ Revision: 234176
- add btrfsck
- partitioning:
  o forbid having /boot as btrfs (mga#5627)

* Sat Apr 28 2012 tv <tv> 14.15-1.mga2
+ Revision: 233995
- partitioning:
  o fix partitions not being shown after clicking on "Reload partition table"
    (mga#3260)
  o run udevadm in installer too
    (might fix unnecessary reboot (mga#4439))

* Thu Apr 26 2012 ennael <ennael> 14.14-1.mga2
+ Revision: 233434
- Mageia 2 RC Banner

* Wed Apr 25 2012 tv <tv> 14.13-1.mga2
+ Revision: 233267
- include needed symlinks for ndiswrapper (mga#44416)

* Wed Apr 25 2012 ennael <ennael> 14.12-1.mga2
+ Revision: 233231
- update desktop images

* Wed Apr 25 2012 tv <tv> 14.11-1.mga2
+ Revision: 233185
- fix offering desktop choice (DVD has task-kde4-minimal instead of task-kde4)
  (mga#5574)
- partitionning:
  o do not set fs_type to ext4 for raw LVM/RAID/LUKS
  o detect LVM on top on Encrypted partitions (mga#5330)
- services:
  o systemd support (mga#3253, mga#3740, mga#4910, mga#5122)
- partitioning wizard:
  o fix removing several notebook pages
  o reuse code from hd_gtk, fixes display of "Use free space" solution

* Mon Apr 23 2012 tv <tv> 14.10-1.mga2
+ Revision: 233023
- do not offer to upgrade mdv 201[1-9] (mga#5004)
- individual package selection:
  o fix a crash
  o honor "no suggests" option (mga#3467)

* Mon Apr 23 2012 ennael <ennael> 14.9-2.mga2
+ Revision: 232850
- remove buggy patch

  + tv <tv>
    - include missing perl modules (mga#5528)

* Fri Apr 20 2012 tv <tv> 14.8-1.mga2
+ Revision: 232125
- partitioning wizard:
  o do not crash on selecting a RAID device
  o fix displaying empty info about RAID devices
  o fix listing RAID devices

* Thu Apr 19 2012 tv <tv> 14.7-1.mga2
+ Revision: 231859
- fix a crash when package state is empty (mga#5487)
- fix not offering to upgrade RAID installs
  (udev was enabling RAIDs early but leaved them in inactive mode
  due to not yet loaded personality modules)
- when selecting where ro install bootloader, display mountpoint if
  available, and size+fs_type if we have nothing (mga#5460)

* Wed Apr 18 2012 tv <tv> 14.6-1.mga2
+ Revision: 231452
- individual package selection:
  o fix "invisible" lock icon (mga#5424)
  o show again package descriptions (mga#549)
- package installation:
  o fix assuming "no" to continue on bad signatures once "do not ask
    again" has been checked in
  o offer to not ask again about missing packages
  o unselect already suggested packages when performing a minimal
    install if "no suggests" option was choosen (mga#5209)

* Wed Apr 18 2012 kamil <kamil> 14.5-2.mga2
+ Revision: 231336
- rebuild against new drakx-installer-help

* Thu Apr 12 2012 ennael <ennael> 14.5-1.mga2
+ Revision: 230533
- fix color for menu categories
- add missing udev programs needed for persistant storage rules.

* Thu Apr 12 2012 ennael <ennael> 14.4-1.mga2
+ Revision: 230446
- fix quiet option for bootloader
- install btrfs-progs if needed (mga#5274)
- make sure ranges are always within limits in text mode (mga#646)

* Sun Apr 08 2012 tmb <tmb> 14.3-4.mga2
+ Revision: 229626
- rebuild for new util-linux

* Sat Apr 07 2012 tv <tv> 14.3-3.mga2
+ Revision: 229514
- rebuild with kmod

  + pterjan <pterjan>
    - Mageia 2 beta 3 banner
    - diskdrake:
      o fix partition numbering on GPT (mga#3091)

* Thu Apr 05 2012 tv <tv> 14.2-1.mga2
+ Revision: 228739
- add boot splash to initrd only once
- log install settings (mga#3467 & mga#5209)
- do not set security level to its own value on upgrade (mga#5147)
- do not crash if msec isn't installed
- do not offer to select the security level in summary if msec is not installed
- text installer:
  o include "screen" terminfo (mga#4894)

* Thu Apr 05 2012 ennael <ennael> 14.1-6.mga2
+ Revision: 228685
- rebuild with updated help

* Thu Apr 05 2012 tv <tv> 14.1-5.mga2
+ Revision: 228638
- rebuild with new rpm/ldetect-lst/drakx-kbd-mouse-x11

* Tue Apr 03 2012 tmb <tmb> 14.1-4.mga2
+ Revision: 228147
- rebuild for new e2fsprogs

* Sun Mar 25 2012 boklm <boklm> 14.1-3.mga2
+ Revision: 226358
- rebuild for new drakx-installer-help

* Sun Mar 25 2012 tmb <tmb> 14.1-2.mga2
+ Revision: 226231
- rebuild for new xfsprogs and btrfs-progs

* Fri Mar 23 2012 tv <tv> 14.1-1.mga2
+ Revision: 225988
- better "bootloader" message (mga#484)
- fix displaying "Mageia" in some messages

* Fri Mar 23 2012 tv <tv> 14.0-2.mga2
+ Revision: 225841
- rebuild with latest drakx-net

* Wed Mar 21 2012 tv <tv> 14.0-1.mga2
+ Revision: 225139
- disk install: handle bogus ISOs when looking for install image (mga#4919)
- step column: hide so called "bootlader" step since we do _not_ actually
  install bootloader at this stage but later in summary (mga#484)
- make "Preparing bootloader" less intimidating (mga#484)

* Mon Mar 19 2012 tmb <tmb> 13.95-4.mga2
+ Revision: 224479
- rebuild for new drakx-installer-binaries

* Mon Mar 19 2012 tmb <tmb> 13.95-3.mga2
+ Revision: 224381
- rebuild for new drakx-installer-binaries

* Fri Mar 16 2012 tv <tv> 13.95-2.mga2
+ Revision: 223703
- rebuild with new help

* Tue Mar 13 2012 tv <tv> 13.95-1.mga2
+ Revision: 223283
- recognize more HID drivers (mga#4905)

* Tue Mar 13 2012 tv <tv> 13.94-1.mga2
+ Revision: 223266
- actually use new installer help

* Tue Mar 13 2012 tv <tv> 13.93-2.mga2
+ Revision: 223211
- rebuild with fixed rpm (mga#4918)

* Mon Mar 12 2012 tv <tv> 13.93-1.mga2
+ Revision: 223096
- recognize c67x00, imx21-hcd, fhci, isp1362-hcd, oxu210hp-hcd & renesas-usbhs
  USB host drivers (mga#4905)
- use lxdm for LXDE

* Sun Mar 11 2012 kamil <kamil> 13.92-2.mga2
+ Revision: 222816
- add drakx-installer-help as a build requirement (the .html documentation should be now included)
- clean .spec a bit

* Sun Mar 11 2012 tv <tv> 13.92-1.mga2
+ Revision: 222579
- explain why acpi, acpid & mageia-gfxboot-theme packages are selected
- install more packages earlier (shorewall & mandi), preventing useless
  installing steps later at summary stage
- partitionning:
  o fix error on removing LVs
  o fix resizing LVs (mga#4666)

* Fri Mar 09 2012 tv <tv> 13.91.1-2.mga2
+ Revision: 221984
- rebuild with new lua which is linked with libncursesw instead of libncurses
  causing rpm to be linked with both libncursesw & libncurses and text
  installer to crash (mga#4724)

* Thu Mar 08 2012 tv <tv> 13.91.1-1.mga2
+ Revision: 221602
- add a wrapper for running GDB in installer a simpler waydd

* Thu Mar 08 2012 tv <tv> 13.91-1.mga2
+ Revision: 221431
- fix build when not in debug mode
- add debug build option to spec file
- Mageia 2 beta 2 banner
- summary:
  o list mandi with iptables* & shorewall in services
  o list dm, mdadm, messagebus, microcode_ctl, netconsole & partmon services in system
  o list network, network-auth, network-up & resolvconf into new 'networking' category
- debug build:
  o don't run directly stage2
  o include busybox
  o include needed python files for GDB
  o start udev since we fork a shell prior to running stage2

* Tue Mar 06 2012 tv <tv> 13.90-1.mga2
+ Revision: 220549
- fix crashing if we failed to initialize Curses
- fix double segfault when text installer fails to init
- fix stopping udev
- set geometry for text installer

* Mon Mar 05 2012 tv <tv> 13.89-4.mga2
+ Revision: 219264
- rebuild for new urpmi

* Mon Mar 05 2012 tmb <tmb> 13.89-3.mga2
+ Revision: 218605
- rebuild with fixed urpmi

* Sat Mar 03 2012 tmb <tmb> 13.89-2.mga2
+ Revision: 217304
- rebuild for new drakx-installer-binaries

* Fri Mar 02 2012 tv <tv> 13.89-1.mga2
+ Revision: 216796
- fix RAID udev rule

* Fri Mar 02 2012 tv <tv> 13.88-1.mga2
+ Revision: 216707
- install mdadm for fake RAID too (mga#4750)

* Thu Mar 01 2012 tv <tv> 13.87-1.mga2
+ Revision: 216587
- include more udev rules for RAID (mga#4750)

* Thu Mar 01 2012 tv <tv> 13.86-1.mga2
+ Revision: 216559
- include libdmraid-events-isw.so for dmraid (mga#4750)
- tty stty are needed for text mode installer (mga#2038)

* Wed Feb 29 2012 tv <tv> 13.85-2.mga2
+ Revision: 216199
- rebuild for new rpm/URPM/urpmi

* Sun Feb 26 2012 tv <tv> 13.85-1.mga2
+ Revision: 215060
- load 'xts' module for crypted fses (Dave Hodgins, mga#3749)

* Fri Feb 24 2012 tv <tv> 13.84-1.mga2
+ Revision: 213916
- recognize more HID drivers (mga#4129)

* Wed Feb 22 2012 tv <tv> 13.83-2.mga2
+ Revision: 212248
- rebuild new with new e2fsprogs

* Sun Feb 19 2012 tv <tv> 13.83-1.mga2
+ Revision: 210743
- log more stuff regarding packages installation (mga#4565)

* Wed Feb 15 2012 tv <tv> 13.82-1.mga2
+ Revision: 209235
- temporary building fix (pending investigation)
- diskdrake:
  o use better cipher for encrypted fses (mga#3092)

  + ennael <ennael>
    - 13.82
    - 13.82

* Thu Jan 26 2012 tv <tv> 13.80-1.mga2
+ Revision: 202045
- kill old gtk+ warnings that confuse people
- include back urpmi translations
- do not display errors when loading a driver that is already loaded (mga#1146)

* Tue Jan 24 2012 tv <tv> 13.78-1.mga2
+ Revision: 200635
- log packages selected b/c of HW, fs, install method, ...
- summary:
  o list shorewall with iptables* in services
- diskdrake:
  o better default name for new VG (vg-mga, vg-mga1, ...
    instead of vg-0, vg-1, ...)

* Mon Jan 23 2012 tv <tv> 13.77-1.mga2
+ Revision: 200402
- BuildRequires: nilfs-utils
- diskdrake:
  o allow using nilfs2 during install
  o enable to set label on btrfs & nilfs fses as well as on swap
  o preserve UUID when reformating a nilfs fs
- do not install shorewall & mandi if firefwall is not configured

* Fri Jan 20 2012 tv <tv> 13.76-1.mga2
+ Revision: 198828
- add support for XZ modules
- faster & safer waiting for end of USB modules
- include gtk20 translations (caps lock & the like)
- diskdrake:
  o enable to set LV names when not in expert mode
  o report back error from lvm2
  o suggest better LV names based on the mount point rather than numbers

* Thu Jan 19 2012 tv <tv> 13.75.1-1.mga2
+ Revision: 198459
- fix mounting /dev/pts & /dev/shm
- include DM/MD udev rules so that install on LVM works again
- drakx-in-chroot:
  o add support for --gdb

* Sun Jan 08 2012 tv <tv> 13.75-3.mga2
+ Revision: 193029
- rebuild with fixed ldetect

* Sat Jan 07 2012 tmb <tmb> 13.75-2.mga2
+ Revision: 192990
- build with libldetect-devel 0.11.3-1

* Sat Jan 07 2012 tv <tv> 13.75-1.mga2
+ Revision: 192950
- stop udev at end of install
- Mageia 2 Alpha 3 banner

* Fri Jan 06 2012 tv <tv> 13.74.1-4.mga2
+ Revision: 192692
- rebuild with new urpmi

* Thu Jan 05 2012 tmb <tmb> 13.74.1-3.mga2
+ Revision: 191557
- rebuild for new lvm2 and dmraid

* Fri Dec 30 2011 tmb <tmb> 13.74.1-2.mga2
+ Revision: 189123
- rebuild for new e2fsprogs

* Thu Dec 29 2011 tmb <tmb> 13.74.1-1.mga2
+ Revision: 188515
- rebuild with updated list_modules.pm for kernel-3.2.0-0.rc7.2.mga2
- BR fixed drakx-installer-binaries >= 1.55-1

* Sat Dec 24 2011 tmb <tmb> 13.74-1.mga2
+ Revision: 187088
- call udevadm in installer too
- do not hardcode systemd default through kernel command line, it
  should be easily overridable by just picking the proper init package
- include xfs_freeze (needed for setup grub on XFS, mga#1536)
- interactive::curses: default to 80x25 (fixes serial)

  + dmorgan <dmorgan>
    - Rebuild against new drakx-kbd-mouse-x11 ( support for new udev )

* Wed Dec 14 2011 tv <tv> 13.73-3.mga2
+ Revision: 181663
- rebuild with fixed drakx-net

* Wed Dec 14 2011 tv <tv> 13.73-2.mga2
+ Revision: 181621
- rebuild with new d-i-binaries

* Mon Dec 12 2011 pterjan <pterjan> 13.73-1.mga2
+ Revision: 180822
- Drop P1, included in new version

  + ennael <ennael>
    - New version for Mageia 2 Alpha2 banner

* Sat Dec 10 2011 tv <tv> 13.69-5.mga2
+ Revision: 180062
- rebuild with new ldetect-lst

* Wed Dec 07 2011 tmb <tmb> 13.69-4.mga2
+ Revision: 178104
- rebuild for updated dmraid

* Tue Dec 06 2011 tmb <tmb> 13.69-3.mga2
+ Revision: 177918
- rebuild for drakx-installer-binaries-1.52, x11-server-1.11.2, ...

* Mon Dec 05 2011 tv <tv> 13.69-2.mga2
+ Revision: 176724
- rebuild with fixed urpmi

* Mon Nov 14 2011 tv <tv> 13.69-1.mga2
+ Revision: 167532
- fix testing network (missing Net/Ping.pm)

* Thu Nov 10 2011 ennael <ennael> 13.68-1.mga2
+ Revision: 166272
- Mageia 2 Alpha 1 banner

* Mon Nov 07 2011 dmorgan <dmorgan> 13.67-2.mga2
+ Revision: 165153
- Rebuild against new drakx-kbd-mouse-x11

* Mon Nov 07 2011 dmorgan <dmorgan> 13.67-1.mga2
+ Revision: 164593
- Add initial systemd support

* Fri Oct 28 2011 tmb <tmb> 13.66-2.mga2
+ Revision: 159185
- rebuild for new dmraid, device-mapper, lvm2, mdadm

* Thu Oct 20 2011 tv <tv> 13.66-1.mga2
+ Revision: 156996
- fix missing "Mageia" instances
- include png loader from gdk_pixbuf2.0_0-loaders-png15

* Thu Oct 20 2011 tv <tv> 13.65-3.mga2
+ Revision: 156939
- rebuild for new ldetect

* Tue Oct 18 2011 tmb <tmb> 13.65-2.mga2
+ Revision: 156257
- check rebuild since almost all BR rpms have been updated

* Mon Sep 19 2011 tv <tv> 13.65-1.mga2
+ Revision: 145653
- BR rpm-mageia-setup instead of rpm-mdv-setup
- only favor packages with mga extension, we don't have packages with mdv or
  mnb in release tag
- always favor packages with 'mga' extension when upgrading anything else
  than Mageia
- install perl-Hal-Cdroms for urpmi when needed
- default to systemd (through "init=/bin/systemd")
- offer not to ask again about bad signatures

* Thu Sep 08 2011 tv <tv> 13.64-1.mga2
+ Revision: 141133
- install more packages earlier (acpi{,d}, dhcp client, firewall & bootloader
  stuff), preventing useless installing steps later at summary stage & also
  fixing "program not found: grub-gfxmenu" error message while installing
- only retrieve release notes once during installation
- util-linux-ng was renamed util-linux (fix installation error)

* Wed Sep 07 2011 tv <tv> 13.63-1.mga2
+ Revision: 140920
- BuildRequires: fonts-ttf-dejavu
- better microcode_ctl management
- fix cpufreq detection corrupting other types
- install cpufreq on more cases
- always align partitions to start at megabyte boundaries to avoid
  performance issues with drives with 4k physical sectors (mga#1215)
- add support to detect if CPU microcode is upgradable in order to
  install microcode_ctl
- do not crash if there's no mirror cache to erase
- "Multi languages" => "Multiple languages" (mga#1011)
- rebuild with latest ldetect-lst
- clear the mirror cache before upgrading (#1557)
- fix bootloader entries names
- fix build with perl-5.14.x
- detect (at least some (eg: Compaq USB numpad) (#1099)
- detect machines needing cpufreq
- spaces are not allowed between options in /etc/fstab (#2271)
- patch 1: fix build with perl-5.14
- BuildRequires: cryptsetup

  + tmb <tmb>
    - rebuild with perl-5.14.1

* Mon May 30 2011 tmb <tmb> 13.58-2.mga1
+ Revision: 100809
- rebuild with final drakx-installer-binaries

* Fri May 27 2011 ennael <ennael> 13.58-1.mga1
+ Revision: 100560
- fix default level being 'standard' (Thierry Vignaud)

* Thu May 26 2011 ennael <ennael> 13.57-2.mga1
+ Revision: 100427
- rebuild for release notes

* Wed May 25 2011 ennael <ennael> 13.57-1.mga1
+ Revision: 100381
- update translations
- update design for final release

  + tv <tv>
    - bump BR on ldetect-lst

* Tue May 24 2011 tmb <tmb> 13.56-1.mga1
+ Revision: 100346
- forbid selecting kernel-server if not having PAE since PAE support is
  mandatory for kernel-server (tv, #1414)
- support configuring Intel Sandy Bridge (tv)

* Tue May 24 2011 boklm <boklm> 13.55-2.mga1
+ Revision: 100298
- rebuild for updated ldetect-lst

* Fri May 20 2011 tmb <tmb> 13.55-1.mga1
+ Revision: 99879
- sync with drakx-installer-binaries 1.50 and drakxtools 13.55

* Thu May 19 2011 tmb <tmb> 13.54-2.mga1
+ Revision: 99823
- build with api-fixed drakx-installer-binaries

* Thu May 19 2011 tv <tv> 13.54-1.mga1
+ Revision: 99709
- advertize LibreOffice instead of OpenOffice.org (mga#1323)
- fix reading security level with new msec (mga#332)

* Mon May 16 2011 ennael <ennael> 13.53-1.mga1
+ Revision: 99317
- update left background for RC

* Sat May 14 2011 pterjan <pterjan> 13.52-1.mga1
+ Revision: 98788
- diskdrake: disable encryption option for /boot
- match partitions when one of them as device_alias to the device of the other
  one (Fixes Mageia bug #1041)

* Sat May 07 2011 tv <tv> 13.50-1.mga1
+ Revision: 95839
- patch1: fix build with brltty-4.2-1.mga1
- use proper locales-XX packages for Albanian (#1036)

* Tue May 03 2011 tmb <tmb> 13.49-3.mga1
+ Revision: 94525
- rebuild for updated ldetect-lst

* Sun May 01 2011 tmb <tmb> 13.49-2.mga1
+ Revision: 94100
- rebuild for fixed api url in urpmi

  + dmorgan <dmorgan>
    - imported package drakx-installer-stage2

